<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Application extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'call_year',
		'agree_nr',
		'partnership_id',
		'subid',
		'lang',
		'acrnym',
		'title',
		'summary',
		'summarytrans',
		'eav',
		'aims',
		'key_measures',
		'hor_comments',
		'hor_measures',
		'distasks',
		'cns_comm',
		'lang_comm',
		'eval_monitor_type',
		'eval_monitor_oth',
		'eval_monitor_comments',
		'eval_resach_rating',
		'eval_resach_comments',
		'eval_objful_rating',
		'eval_objful_comments',
		'eval_actach_rating',
		'eval_actach_comments',
		'act_local_st_m',
		'act_local_sn_m',
		'act_local_stf_m',
		'act_local_oth1_m',
		'act_local_oth2_m',
		'act_local_st_w',
		'act_local_sn_w',
		'act_local_stf_w',
		'act_local_oth1_w',
		'act_local_oth2_w',
		'act_mobility_st_m',
		'act_mobility_sn_m',
		'act_mobility_stf_m',
		'act_mobility_oth1_m',
		'act_mobility_oth2_m',
		'act_mobility_st_w',
		'act_mobility_sn_w',
		'act_mobility_stf_w',
		'act_mobility_oth1_w',
		'act_mobility_oth2_w',
		'participants_age_range',
		'participants_nr',
		'impact_pupils_lang',
		'impact_pupils_ict',
		'impact_pupils_social',
		'impact_pupils_motiv',
		'impact_pupils_self',
		'impact_pupils_culture',
		'impact_pupils_oth',
		'impact_pupils_oth_desc',
		'impact_pupils_comments',
		'impact_staff_lang',
		'impact_staff_ict',
		'impact_staff_pedag',
		'impact_staff_motiv',
		'impact_staff_prjmng',
		'impact_staff_culture',
		'impact_staff_oth',
		'impact_staff_oth_desc',
		'impact_staff_comments',
		'impact_org_curr',
		'impact_org_org',
		'impact_org_supp',
		'impact_org_langpol',
		'impact_org_staffcoop',
		'impact_org_oth',
		'impact_org_oth_desc',
		'impact_org_comments',
		'impact_comun_family',
		'impact_comun_coop',
		'impact_comun_comp',
		'impact_comun_actor',
		'impact_comun_oth',
		'impact_comun_oth_desc',
		'impact_comun_comments',
		'impact_other',
		'impact_dissemination_desc',
		'impact_sustainability',
		'lessons_problems_other',
		'lessons_problems_comments',
		'lessons_improv_other',
		'budget_type',
		'budget_stdnr',
		'budget_staffnr',
		'budget_totpartnr',
		'budget_isspneeds',
		'budget_reqgrant',
		'budget_grant',
    ];

	public function partner()
    {
        return $this->hasMany('App\Partner', 'application_id');
    }
	public function outcome()
    {
        return $this->hasMany('App\Outcome', 'application_id');
    }
	public function activity()
    {
        return $this->hasMany('App\Activity', 'application_id');
    }
	public function dissemination()
    {
        return $this->hasMany('App\Dissemination', 'application_id');
    }
	public function horizontal()
    {
        return $this->hasMany('App\Horizontal_issue', 'application_id');
    }
	public function competence()
    {
        return $this->hasMany('App\Key_competence', 'application_id');
    }
	public function problem()
    {
        return $this->hasMany('App\Lessons_problem', 'application_id');
    }
	public function mobility()
    {
        return $this->hasMany('App\Mobility_participation', 'application_id');
    }


//	public function partner()
//    {
//        return $this->belongsTo('App\Partner', 'partner_id');
//    }
}
