<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

use App\Http\Requests;
use Parser;
use XmlParser;
use Vyuldashev\XmlToArray\XmlToArray;
use App\Application;
use App\Partner;
use App\Key_competence;
use App\Horizontal_issue;
use App\Dissemination;
use App\Lessons_problem;
use App\Mobility_participation;
use App\Outcome;
use App\Outcome_topic;
use App\Outcome_target;
use App\Outcome_media;
use App\Outcome_sector;
use App\Outcome_language;
use App\Activity;
use App\Charts\MyChart;
use App\Charts\MyChartJs;
use DB;
use DPDF;
use TPDF;


class OutputController extends Controller
{

    public function __construct()
    {
       $this->middleware('auth');
    }

    public function outputPDF($id)
    {
//		$id = 430;	
//		$id = 1054;	
		$application = Application::find($id);	  
		$partners = Application::find($id)->partner;
		$activities = Application::find($id)->activity;
		$outcomes = Application::find($id)->outcome;
		$mobilities = Application::find($id)->mobility;
		$lessonsProblems = Application::find($id)->problem;
		$disseminations = Application::find($id)->dissemination;
		$competences = Application::find($id)->competence;
		$horizontals = Application::find($id)->horizontal;

			$partnerGR = Partner::where('ctry', 'GR')
				->where('application_id',$id)
				->first();

			$sameSchool = Application::whereHas('partner', function ($query) use ($partnerGR) {
				$query->where('lnlat', $partnerGR->lnlat);
			})
				->where('id', '!=', $id)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);
			$sameNuts = Application::select('id', 'partnership_id', 'title')
				->whereHas('partner', function ($query) use ($partnerGR) {
				$query->where('nuts', $partnerGR->nuts);
			})
				->where('id', '!=', $id)
				->where('call_year', $application->call_year)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);

			$applicationsTitles = Application::where('id', '!=', $id)->get(['id', 'title', 'partnership_id']);
			$i=0;
			$titleArray[$i][0]=$application->id;
			$titleArray[$i][1]=$application->title;
			$titleArray[$i][2]=0;
			$titleArray[$i][3]=$application->partnership_id;
			foreach ($applicationsTitles as $appTitle) {
				similar_text(strtoupper($application->title), strtoupper($appTitle->title), $percentage);
				if ($percentage>60) {
					$titleArray[$i][0]=$appTitle->id;
					$titleArray[$i][1]=$appTitle->title;
					$titleArray[$i][2]=$percentage;
					$titleArray[$i][3]=$appTitle->partnership_id;
					$i++;
				}
			}


		$pdf = DPDF::loadView('layout.outputForm', compact('application', 'competences', 'partners', 'activities', 'outcomes', 'mobilities', 'lessonsProblems', 'disseminations', 'horizontals', 'sameSchool', 'sameNuts', 'titleArray'));
		$pdf->setPaper('A4', 'portrait');
//		return $pdf->stream('application-'.$id.'.pdf', array("Attachment" => false));
//		return $pdf->download($application->partnership_id.'.pdf');	

		$match_files = File::glob('document*');
		if($match_files !== false) {
			foreach($match_files as $file) {
			if(file_exists($file))
			File::delete($file);
			}
		}
		$outputPdf = $pdf->output();
		$newfile = 'application-'.$id.'.pdf';
		file_put_contents($newfile, $outputPdf);
		echo $newfile;

    }

    public function index()
    {
        $applications = Application::all();
		return view('index', compact('applications'));    
    }

    public function about()
    {
		return view('about');    
    }

	public function searchApplications(Request $request)
    {
		$call = $request->input('call');
		$lang = $request->input('lang');
		$nuts = $request->input('nuts');
		$role = $request->input('role');
		$type = $request->input('type');
		$applications = Application::when($call, function ($q) use($call) {
        return $q->where('call_year', '=', $call);
		})
		->when($lang, function ($q) use($lang) {
        return $q->where('lang', '=', $lang);
		})
		->when($nuts, function ($q) use($nuts) {
        return $q->whereHas('partner', function ($query) use($nuts) {
			$query->where('nuts', '=', $nuts);
		});
		})
		->when($role, function ($q) use($role) {
        return $q->whereHas('partner', function ($query) use($role) {
			$query->where('role', '=', $role)->where('ctry', 'GR');
		});
		})
		->when($type, function ($q) use($type) {
        return $q->whereHas('partner', function ($query) use($type) {
			$query->where('type', '=', $type)->where('ctry', 'GR');
		});
		})
		->get();

		return view('indexApplications', compact('applications'));    
    }

	public function indexApplications()
    {
        $applications = Application::all();
		return view('indexApplications', compact('applications'));    
    }

	public function indexPartners($ctr, $rl)
    {
		if ($rl!='all') {
			$partners = Partner::whereIn('application_id', function ($query) use($rl) {
						$query->select('application_id')
								  ->from('partners')
								  ->where('ctry', 'GR')
								  ->where('role', $rl);
						})
					->where('ctry', $ctr)
					->get();
		} else {
			$partners = Partner::where('ctry', $ctr)
					->get();		
		}
		return view('indexPartners', compact('partners'));    
    }

    public function partnersmap($opt=0)
    {
		if ($opt==0) {
//		$partnersList = Partner::all();
			$partners = Partner::select('ctry', 'ctry_desc', DB::raw('count(*) as total'))
				->groupBy('ctry', 'ctry_desc')
				->orderBy('total', 'desc')
				->get();
		} else if ($opt==1) {
			$partners = Partner::select('ctry', 'ctry_desc', DB::raw('count(*) as total'))
				->whereIn('application_id', function ($query) {
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', 'GR')
						  ->where('role', 'CO');
				})
				->groupBy('ctry', 'ctry_desc')
				->orderBy('total', 'desc')
				->get();
		} else if ($opt==2) {
			$partners = Partner::select('ctry', 'ctry_desc', DB::raw('count(*) as total'))
				->whereIn('application_id', function ($query) {
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', 'GR')
						  ->where('role', 'PA');
				})
				->groupBy('ctry', 'ctry_desc')
				->orderBy('total', 'desc')
				->get();
		}
		if ($opt==0) {
			$rl='all';
		} else if ($opt==1) {
			$rl='CO';
		} else if ($opt==2) {
			$rl='PA';
		} 
		return view('partnersMap', compact('partners', 'rl'));    
    }

    public function partnersmapNetwork(Request $request)
    {
		if (isset($request->ctr1)) {$ctr1 = $request->ctr1;} else {$ctr1 = 'GR';}
		$r1 = Partner::select('ctry_desc')->where('ctry', $ctr1)->first();
		$ctr1_desc = $r1->ctry_desc;
		if (isset($request->ctr2)) {$ctr2 = $request->ctr2;} else {$ctr2 = 'GR';}
		$r2 = Partner::select('ctry_desc')->where('ctry', $ctr2)->first();
		$ctr2_desc = $r2->ctry_desc;
		if ($ctr1=='GR') {
			$partners = Partner::select('ctry', 'ctry_desc', DB::raw('count(*) as total'))
				->where('ctry', '<>', 'GR')
				->groupBy('ctry', 'ctry_desc')
				->orderBy('total', 'desc')
				->get();
			$totalPartnerships = Partner::select(DB::raw('count(DISTINCT application_id) as total'))
				->value('total');
			for ($x = 3; $x <= 12; $x++) {  //ypologismos ton simprakseon me vasi ton arithmo ton sxoleion pou simmetixan stin simpraksi
				$t[$x] = DB::table('partners as a')
					->select(DB::raw('count(DISTINCT application_id) as total'))
					->whereExists(function ($query) use ($x) {
					$query->select(DB::raw('count(*) as subtotal'))
							  ->from('partners as d')
							  ->whereRaw('d.application_id = a.application_id')
							  ->having('subtotal', $x);
					})
					->value('total');
			}
		} else if ($ctr2=='GR') {
			$partners = Partner::select('ctry', 'ctry_desc', DB::raw('count(*) as total'))
				->where('ctry', '<>', 'GR')
				->where('ctry', '<>', $ctr1)
				->whereIn('application_id', function ($query) use ($ctr1){
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', $ctr1);
				})
				->groupBy('ctry', 'ctry_desc')
				->orderBy('total', 'desc')
				->get();
			$totalPartnerships = Partner::select(DB::raw('count(DISTINCT application_id) as total'))
				->whereIn('application_id', function ($query) use ($ctr1){
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', $ctr1);
				})
				->value('total');
			for ($x = 3; $x <= 12; $x++) {  //ypologismos ton simprakseon me vasi ton arithmo ton sxoleion pou simmetixan stin simpraksi
				$t[$x] = DB::table('partners as a')
					->select(DB::raw('count(DISTINCT application_id) as total'))
					->whereIn('application_id', function ($query) use ($ctr1){
					$query->select('application_id')
							  ->from('partners')
							  ->where('ctry', $ctr1);
					})
					->whereExists(function ($query) use ($x) {
					$query->select(DB::raw('count(*) as subtotal'))
							  ->from('partners as d')
							  ->whereRaw('d.application_id = a.application_id')
							  ->having('subtotal', $x);
					})
					->value('total');
			}
		} else  {
			$partners = Partner::select('ctry', 'ctry_desc', DB::raw('count(*) as total'))
				->where('ctry', '<>', 'GR')
				->where('ctry', '<>', $ctr1)
				->where('ctry', '<>', $ctr2)
				->whereIn('application_id', function ($query) use ($ctr1) {
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', $ctr1);
				})
				->whereIn('application_id', function ($query) use ($ctr2) {
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', $ctr2);
				})
				->groupBy('ctry', 'ctry_desc')
				->orderBy('total', 'desc')
				->get();
			$totalPartnerships = Partner::select(DB::raw('count(DISTINCT application_id) as total')) //ypologismow ton sxoleion poy simmeteixan ston diktio ana xora
				->whereIn('application_id', function ($query) use ($ctr1){
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', $ctr1);
				})
				->whereIn('application_id', function ($query) use ($ctr2) {
				$query->select('application_id')
						  ->from('partners')
						  ->where('ctry', $ctr2);
				})
				->value('total');
			
			for ($x = 3; $x <= 12; $x++) {  //ypologismos ton simprakseon me vasi ton arithmo ton sxoleion pou simmetixan stin simpraksi
				$t[$x] = DB::table('partners as a')
					->select(DB::raw('count(DISTINCT application_id) as total'))
					->whereIn('application_id', function ($query) use ($ctr1){
					$query->select('application_id')
							  ->from('partners')
							  ->where('ctry', $ctr1);
					})
					->whereIn('application_id', function ($query) use ($ctr2) {
					$query->select('application_id')
							  ->from('partners')
							  ->where('ctry', $ctr2);
					})
					->whereExists(function ($query) use ($x) {
					$query->select(DB::raw('count(*) as subtotal'))
							  ->from('partners as d')
							  ->whereRaw('d.application_id = a.application_id')
							  ->having('subtotal', $x);
					})
					->value('total');
			}
		}
		$total = $totalPartnerships;
		$opts = ['ctr1' => $ctr1, 'ctr2' => $ctr2];
		return view('partnersMapNetwork', compact('partners', 'ctr1', 'ctr1_desc', 'ctr2', 'ctr2_desc', 'total', 'opts', 't'));    
    }

    public function show($id)
    {
			$application = Application::find($id);
			$partners = Application::find($id)->partner;
			$partnerGR = Partner::where('ctry', 'GR')
				->where('application_id',$id)
				->first();
			$activities = Application::find($id)->activity;
			$outcomes = Application::find($id)->outcome;
			$mobilities = Application::find($id)->mobility;
			$lessonsProblems = Application::find($id)->problem;
			$disseminations = Application::find($id)->dissemination;
			$competences = Application::find($id)->competence;
			$horizontals = Application::find($id)->horizontal;
			$sameSchool = Application::whereHas('partner', function ($query) use ($partnerGR) {
				$query->where('lnlat', $partnerGR->lnlat);
			})
				->where('id', '!=', $id)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);
			$sameNuts = Application::select('id', 'agree_nr', 'title')
				->whereHas('partner', function ($query) use ($partnerGR) {
				$query->where('nuts', $partnerGR->nuts);
			})
				->where('id', '!=', $id)
				->where('call_year', $application->call_year)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);

//			print_r($competences[3]);
/*
			$sameCompetencesID = Application::when(isset($competences[0]), function ($q) use($competences) {
					return $q->whereHas('competence', function ($query) use ($competences) {
					$query->where('key_competence', $competences[0]->key_competence);
					});
					})
				->where('id', '!=', $id)
				->pluck('id');

			$sameCompetencesID = Application::when(isset($competences[1]), function ($q) use($competences) {
					return $q->whereHas('competence', function ($query) use ($competences) {
					$query->where('key_competence', $competences[1]->key_competence);
					});
					})
				->whereIn('id', $sameCompetencesID)
				->pluck('id');	

			$sameCompetencesID = Application::when(isset($competences[2]), function ($q) use($competences) {
					return $q->whereHas('competence', function ($query) use ($competences) {
					$query->where('key_competence', $competences[2]->key_competence);
					});
					})
				->whereIn('id', $sameCompetencesID)
				->pluck('id');	

			$sameCompetences = Application::
				whereIn('id', $sameCompetencesID)
				->get();						
*/
			$sameCompetences = Application::when(isset($competences[0]), function ($q) use($competences) {
					return $q->whereHas('competence', function ($query) use ($competences) {
					$query->where('key_competence', $competences[0]->key_competence);
					});
					})
				->when(isset($competences[1]), function ($q) use($competences) {
					return $q->whereHas('competence', function ($query) use ($competences) {
					$query->where('key_competence', $competences[1]->key_competence);
					});
					})
				->when(isset($competences[2]), function ($q) use($competences) {
					return $q->whereHas('competence', function ($query) use ($competences) {
					$query->where('key_competence', $competences[2]->key_competence);
					});
					})
				->where('id', '!=', $id)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);

			$sameHorizontals = Application::when(isset($horizontals[0]), function ($q) use($horizontals) {
					return $q->whereHas('horizontal', function ($query) use ($horizontals) {
					$query->where('issue', $horizontals[0]->issue);
					});
					})
				->when(isset($horizontals[1]), function ($q) use($horizontals) {
					return $q->whereHas('horizontal', function ($query) use ($horizontals) {
					$query->where('issue', $horizontals[1]->issue);
					});
					})
				->when(isset($horizontals[2]), function ($q) use($horizontals) {
					return $q->whereHas('horizontal', function ($query) use ($horizontals) {
					$query->where('issue', $horizontals[2]->issue);
					});
					})
				->when(isset($horizontals[3]), function ($q) use($horizontals) {
					return $q->whereHas('horizontal', function ($query) use ($horizontals) {
					$query->where('issue', $horizontals[3]->issue);
					});
					})
				->when(isset($horizontals[4]), function ($q) use($horizontals) {
					return $q->whereHas('horizontal', function ($query) use ($horizontals) {
					$query->where('issue', $horizontals[4]->issue);
					});
					})
				->where('id', '!=', $id)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);

			$sameCountries = Application::when(isset($partners[1]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[1]->ctry);
					});
					})
				->when(isset($partners[2]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[2]->ctry);
					});
					})
				->when(isset($partners[3]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[3]->ctry);
					});
					})
				->when(isset($partners[4]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[4]->ctry);
					});
					})
				->when(isset($partners[5]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[5]->ctry);
					});
					})
				->when(isset($partners[6]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[6]->ctry);
					});
					})
				->when(isset($partners[7]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[7]->ctry);
					});
					})
				->when(isset($partners[8]), function ($q) use($partners) {
					return $q->whereHas('partner', function ($query) use ($partners) {
					$query->where('ctry', $partners[8]->ctry);
					});
					})
				->where('id', '!=', $id)
				->get(['id', 'agree_nr', 'title', 'partnership_id']);


			$applicationsTitles = Application::where('id', '!=', $id)->get(['id', 'title', 'partnership_id']);
			$i=0;
			$titleArray[$i][0]=$application->id;
			$titleArray[$i][1]=$application->title;
			$titleArray[$i][2]=0;
			$titleArray[$i][3]=$application->partnership_id;
			foreach ($applicationsTitles as $appTitle) {
				similar_text(strtoupper($application->title), strtoupper($appTitle->title), $percentage);
				if ($percentage>60) {
					$titleArray[$i][0]=$appTitle->id;
					$titleArray[$i][1]=$appTitle->title;
					$titleArray[$i][2]=$percentage;
					$titleArray[$i][3]=$appTitle->partnership_id;
					$i++;
				}
			}

//			dd($titleArray);

//	print_r($sameCompetences[0]);
			return view('show', compact('application', 'partners', 'activities', 'outcomes', 'mobilities', 'lessonsProblems', 'disseminations', 'competences', 'horizontals', 'sameSchool', 'sameCompetences', 'sameNuts', 'sameHorizontals', 'titleArray', 'sameCountries')); 
    }



    public function charts() //me plugin chartjs
    {
		$dCharts = Application::select('impact_pupils_lang', DB::raw('count(*) as total'))
		->groupBy('impact_pupils_lang')
		->orderBy('impact_pupils_lang')
		->get();
		$chart = new MyChart;
		$chart->dataset('Sample', 'pie', $dCharts->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#0000ff', '#ff00ff', '#D6D129']);
		$chart->labels($dCharts->pluck('impact_pupils_lang'));

		$dCharts2 = Application::select('impact_pupils_ict', DB::raw('count(*) as total'))
		->groupBy('impact_pupils_ict')
		->orderBy('impact_pupils_ict')
		->get();
		$chart2 = new MyChart;
		$chart2->dataset('Sample', 'pie', $dCharts2->pluck('total'))
			->color(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart2->labels($dCharts2->pluck('impact_pupils_ict'));

		$dCharts3 = Application::select('impact_pupils_social', DB::raw('count(*) as total'))
		->groupBy('impact_pupils_social')
		->orderBy('impact_pupils_social')
		->get();
		$chart3 = new MyChartJs;
		$chart3->dataset('Sample', 'doughnut', $dCharts3->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#ff00ff', '#D6D129']);
		$chart3->labels($dCharts3->pluck('impact_pupils_social'));

		$dCharts4 = Application::select('impact_pupils_motiv', DB::raw('count(*) as total'))
		->groupBy('impact_pupils_motiv')
		->orderBy('impact_pupils_motiv')
		->get();
		$chart4 = new MyChartJs;
		$chart4->dataset('Sample', 'doughnut', $dCharts4->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart4->labels($dCharts4->pluck('impact_pupils_motiv'));

		$dCharts5 = Application::select('impact_pupils_self', DB::raw('count(*) as total'))
		->groupBy('impact_pupils_self')
		->orderBy('impact_pupils_self')
		->get();
		$chart5 = new MyChart;
		$chart5->dataset('Sample', 'pie', $dCharts5->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#D6D129']);
		$chart5->labels($dCharts5->pluck('impact_pupils_self'));

		$dCharts6 = Application::select('impact_pupils_culture', DB::raw('count(*) as total'))
		->groupBy('impact_pupils_culture')
		->orderBy('impact_pupils_culture')
		->get();
		$chart6 = new MyChart;
		$chart6->dataset('Sample', 'pie', $dCharts6->pluck('total'))
			->color(['#FF8000', '#ff0000', '#0000ff', '#D6D129']);
		$chart6->labels($dCharts6->pluck('impact_pupils_culture'));

		return view('charts', compact(['chart', 'chart2', 'chart3', 'chart4', 'chart5', 'chart6', 'dCharts', 'dCharts2', 'dCharts3', 'dCharts4', 'dCharts5', 'dCharts6']));
    }

    public function charts2() //me plugin chartjs
    {
		$dCharts = Application::select('impact_staff_lang', DB::raw('count(*) as total'))
		->groupBy('impact_staff_lang')
		->orderBy('impact_staff_lang')
		->get();
		$chart = new MyChart;
		$chart->dataset('Sample', 'pie', $dCharts->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#5555ff', '#ff00ff', '#D6D129']);
		$chart->labels($dCharts->pluck('impact_staff_lang'));

		$dCharts2 = Application::select('impact_staff_ict', DB::raw('count(*) as total'))
		->groupBy('impact_staff_ict')
		->orderBy('impact_staff_ict')
		->get();
		$chart2 = new MyChart;
		$chart2->dataset('Sample', 'pie', $dCharts2->pluck('total'))
			->color(['#FF8000', '#ff0000', '#5555ff', '#ff00ff', '#D6D129']);
		$chart2->labels($dCharts2->pluck('impact_staff_ict'));

		$dCharts3 = Application::select('impact_staff_pedag', DB::raw('count(*) as total'))
		->groupBy('impact_staff_pedag')
		->orderBy('impact_staff_pedag')
		->get();
		$chart3 = new MyChartJs;
		$chart3->dataset('Sample', 'doughnut', $dCharts3->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#5555ff', '#ff00ff', '#D6D129']);
		$chart3->labels($dCharts3->pluck('impact_staff_pedag'));

		$dCharts4 = Application::select('impact_staff_motiv', DB::raw('count(*) as total'))
		->groupBy('impact_staff_motiv')
		->orderBy('impact_staff_motiv')
		->get();
		$chart4 = new MyChartJs;
		$chart4->dataset('Sample', 'doughnut', $dCharts4->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#D6D129']);
		$chart4->labels($dCharts4->pluck('impact_staff_motiv'));

		$dCharts5 = Application::select('impact_staff_prjmng', DB::raw('count(*) as total'))
		->groupBy('impact_staff_prjmng')
		->orderBy('impact_staff_prjmng')
		->get();
		$chart5 = new MyChart;
		$chart5->dataset('Sample', 'pie', $dCharts5->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#0000ff', '#ff00ff', '#D6D129']);
		$chart5->labels($dCharts5->pluck('impact_staff_prjmng'));

		$dCharts6 = Application::select('impact_staff_culture', DB::raw('count(*) as total'))
		->groupBy('impact_staff_culture')
		->orderBy('impact_staff_culture')
		->get();
		$chart6 = new MyChart;
		$chart6->dataset('Sample', 'pie', $dCharts6->pluck('total'))
			->color(['#FF8000', '#ff0000', '#0000ff', '#D6D129']);
		$chart6->labels($dCharts6->pluck('impact_staff_culture'));

		return view('charts2', compact(['chart', 'chart2', 'chart3', 'chart4', 'chart5', 'chart6', 'dCharts', 'dCharts2', 'dCharts3', 'dCharts4', 'dCharts5', 'dCharts6']));
    }

    public function charts3() //me plugin chartjs !!!! NA DIORTHOSO TA XROMATA STO BLADE GIA KATHE GRAFIMA
    {
		$dCharts = Application::select('impact_org_curr', DB::raw('count(*) as total'))
		->groupBy('impact_org_curr')
		->orderBy('impact_org_curr')
		->get();
		$chart = new MyChart;
		$chart->dataset('Sample', 'pie', $dCharts->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart->labels($dCharts->pluck('impact_org_curr'));

		$dCharts2 = Application::select('impact_org_org', DB::raw('count(*) as total'))
		->groupBy('impact_org_org')
		->orderBy('impact_org_org')
		->get();
		$chart2 = new MyChart;
		$chart2->dataset('Sample', 'pie', $dCharts2->pluck('total'))
			->color(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart2->labels($dCharts2->pluck('impact_org_org'));

		$dCharts3 = Application::select('impact_org_supp', DB::raw('count(*) as total'))
		->groupBy('impact_org_supp')
		->orderBy('impact_org_supp')
		->get();
		$chart3 = new MyChartJs;
		$chart3->dataset('Sample', 'doughnut', $dCharts3->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart3->labels($dCharts3->pluck('impact_org_supp'));

		$dCharts4 = Application::select('impact_org_langpol', DB::raw('count(*) as total'))
		->groupBy('impact_org_langpol')
		->orderBy('impact_org_langpol')
		->get();
		$chart4 = new MyChartJs;
		$chart4->dataset('Sample', 'doughnut', $dCharts4->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart4->labels($dCharts4->pluck('impact_org_langpol'));

		$dCharts5 = Application::select('impact_org_staffcoop', DB::raw('count(*) as total'))
		->groupBy('impact_org_staffcoop')
		->orderBy('impact_org_staffcoop')
		->get();
		$chart5 = new MyChart;
		$chart5->dataset('Sample', 'pie', $dCharts5->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#5555ff', '#ff00ff', '#D6D129']);
		$chart5->labels($dCharts5->pluck('impact_org_staffcoop'));

		return view('charts3', compact(['chart', 'chart2', 'chart3', 'chart4', 'chart5', 'dCharts', 'dCharts2', 'dCharts3', 'dCharts4', 'dCharts5']));
    }

    public function charts4() //me plugin chartjs !!!! NA DIORTHOSO TA XROMATA STO BLADE GIA KATHE GRAFIMA
    {
		$dCharts = Application::select('impact_comun_family', DB::raw('count(*) as total'))
		->groupBy('impact_comun_family')
		->orderBy('impact_comun_family')
		->get();
		$chart = new MyChart;
		$chart->dataset('Sample', 'pie', $dCharts->pluck('total')) 
			->color(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart->labels($dCharts->pluck('impact_comun_family'));

		$dCharts2 = Application::select('impact_comun_coop', DB::raw('count(*) as total'))
		->groupBy('impact_comun_coop')
		->orderBy('impact_comun_coop')
		->get();
		$chart2 = new MyChart;
		$chart2->dataset('Sample', 'pie', $dCharts2->pluck('total'))
			->color(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart2->labels($dCharts2->pluck('impact_comun_coop'));

		$dCharts3 = Application::select('impact_comun_comp', DB::raw('count(*) as total'))
		->groupBy('impact_comun_comp')
		->orderBy('impact_comun_comp')
		->get();
		$chart3 = new MyChartJs;
		$chart3->dataset('Sample', 'doughnut', $dCharts3->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart3->labels($dCharts3->pluck('impact_comun_comp'));

		$dCharts4 = Application::select('impact_comun_actor', DB::raw('count(*) as total'))
		->groupBy('impact_comun_actor')
		->orderBy('impact_comun_actor')
		->get();
		$chart4 = new MyChartJs;
		$chart4->dataset('Sample', 'doughnut', $dCharts4->pluck('total'))
			->backgroundColor(['#FF8000', '#ff0000', '#5555ff', '#0000ff', '#ff00ff', '#D6D129']);
		$chart4->labels($dCharts4->pluck('impact_comun_actor'));

		return view('charts4', compact(['chart', 'chart2', 'chart3', 'chart4', 'dCharts', 'dCharts2', 'dCharts3', 'dCharts4']));
    }


    public function charts_javascript() //me alli vivliothiki opou to render ginete sto blade me js 
    {
        $impactStLang = Application::select('impact_pupils_lang', DB::raw('count(*) as total'))
				->groupBy('impact_pupils_lang')
				->orderBy('impact_pupils_lang')
				->get();
		$impactStIct = Application::select('impact_pupils_ict', DB::raw('count(*) as total'))
				->groupBy('impact_pupils_ict')
				->orderBy('impact_pupils_ict')
				->get();
		$impactStSocial = Application::select('impact_pupils_social', DB::raw('count(*) as total'))
				->groupBy('impact_pupils_social')
				->orderBy('impact_pupils_social')
				->get();
		$impactStMotiv = Application::select('impact_pupils_motiv', DB::raw('count(*) as total'))
				->groupBy('impact_pupils_motiv')
				->orderBy('impact_pupils_motiv')
				->get();
		return view('charts', compact('impactStLang', 'impactStIct', 'impactStSocial', 'impactStMotiv'));    
    }

	    public function stats()
    {
        $keyCompetence = Key_competence::select('key_competence_desc', DB::raw('count(*) as total'))
				->groupBy('key_competence_desc')
				->orderBy('total', 'desc')
				->get();
        $horizontal = Horizontal_issue::select('issue_desc', DB::raw('count(*) as total'))
				->groupBy('issue_desc')
				->orderBy('total', 'desc')
				->get();
        $outcome = Outcome::select('outcome_type_desc', DB::raw('count(*) as total'))
				->groupBy('outcome_type_desc')
				->orderBy('total', 'desc')
				->get();
        $outcome2 = Outcome::select('edu_field_desc', DB::raw('count(*) as total'))
				->groupBy('edu_field_desc')
				->orderBy('total', 'desc')
				->get();
		return view('stats', compact('keyCompetence', 'horizontal', 'outcome', 'outcome2'));	   
    }

	    public function statsD1()
    {
        $act1 = Partner::select('nuts_desc', DB::raw('count(*) as total'))
				->where('ctry', 'GR')
				->groupBy('nuts_desc')
				->orderBy('total', 'desc')
				->get();
        $act2 = Partner::select('type', DB::raw('count(*) as total'))
				->where('ctry', 'GR')
				->groupBy('type')
				->orderBy('total', 'desc')
				->get();
        $act3 = Partner::select('ctry', DB::raw('count(*) as total'))
				->where('ctry', '!=', 'GR')
				->groupBy('ctry')
				->orderBy('total', 'desc')
				->get();

		return view('statsD1', compact('act1', 'act2', 'act3'));	   
    }

	    public function statsE2()
    {
        $outcome = Outcome::select('outcome_type_desc', DB::raw('count(*) as total'))
				->groupBy('outcome_type_desc')
				->orderBy('total', 'desc')
				->get();
        $outcome2 = Outcome::select('edu_field_desc', DB::raw('count(*) as total'))
				->groupBy('edu_field_desc')
				->orderBy('total', 'desc')
				->get();
		return view('statsE2', compact('outcome', 'outcome2'));	   
    }

	    public function statsE5()
    {
        $keyCompetence = Key_competence::select('key_competence_desc', DB::raw('count(*) as total'))
				->groupBy('key_competence_desc')
				->orderBy('total', 'desc')
				->get();
		return view('statsE5', compact('keyCompetence'));	   
    }

	    public function statsE6()
    {
        $horizontal = Horizontal_issue::select('issue_desc', DB::raw('count(*) as total'))
				->groupBy('issue_desc')
				->orderBy('total', 'desc')
				->get();
		return view('statsE6', compact('horizontal'));	   
    }

	    public function statsE10()
    {
        $eval1 = Application::select('eval_monitor_type', DB::raw('count(*) as total'))
				->groupBy('eval_monitor_type')
				->orderBy('total', 'desc')
				->get();
        $eval2 = Application::select('eval_resach_rating', DB::raw('count(*) as total'))
				->groupBy('eval_resach_rating')
				->orderBy('total', 'desc')
				->get();
        $eval3 = Application::select('eval_objful_rating', DB::raw('count(*) as total'))
				->groupBy('eval_objful_rating')
				->orderBy('total', 'desc')
				->get();
		return view('statsE10', compact('eval1', 'eval2', 'eval3'));	   
    }

	    public function statsF1()
    {
		return view('statsF1');	   
    }

	    public function statsF2()
    {
        $act1 = Activity::select('activity_type_desc', DB::raw('count(*) as total'))
				->groupBy('activity_type_desc')
				->orderBy('total', 'desc')
				->get();
        $act2 = Application::select('eval_actach_rating', DB::raw('count(*) as total'))
				->groupBy('eval_actach_rating')
				->orderBy('total', 'desc')
				->get();
		$act3 = array(['range' => '1-10', 'total'=> 238], ['range' => '11-20', 'total'=> 220], ['range' => '21-30', 'total'=> 147], ['range' => '31-40', 'total'=> 126], ['range' => '41-50', 'total'=> 50], ['range' => '51-60', 'total'=> 32], ['range' => '61-70', 'total'=> 12], ['range' => '71-80', 'total'=> 10], ['range' => '81-90', 'total'=> 11], ['range' => '91-99', 'total'=> 13]);

		return view('statsF2', compact('act1', 'act2', 'act3'));	   
    }

	    public function statsF4()
    {
        $act1 = Dissemination::select('dissemination', 'dissemination_desc', DB::raw('count(*) as total'))
				->groupBy('dissemination', 'dissemination_desc')
				->orderBy('total', 'desc')
				->get();

		return view('statsF4', compact('act1'));	   
    }

	    public function statsF6()
    {
        $act1 = Mobility_participation::select('nr_st', DB::raw('count(*) as total'))
				->whereNotNull('nr_st')
				->groupBy('nr_st')
				->orderBy('total', 'desc')
				->get();
        $act2 = Mobility_participation::select('nr_stf', DB::raw('count(*) as total'))
				->whereNotNull('nr_stf')
				->groupBy('nr_stf')
				->orderBy('total', 'desc')
				->get();

		return view('statsF6', compact('act1', 'act2'));	   
    }

	    public function statsG1()
    {
        $act1 = Lessons_problem::select('problem_desc', DB::raw('count(*) as total'))
				->groupBy('problem_desc')
				->orderBy('total', 'desc')
				->get();

		return view('statsG1', compact('act1'));	   
    }

	    public function statsBudget()
    {
        $act1 = Application::select('budget_type', DB::raw('count(*) as total'))
				->groupBy('budget_type')
				->orderBy('total', 'desc')
				->get();

		return view('statsBudget', compact('act1'));	   
    }



    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function read()
    {
		
	for ($x = 20; $x <= 103; $x++) {
		
//		$xmlfile = file_get_contents('2013/1 (11).xml');
		$xmlfile = file_get_contents('2008/1 ('.strval($x).').xml');
		$ob= simplexml_load_string($xmlfile);
		$json  = json_encode($ob);	
		$report = json_decode($json, true);
//		dd($report['Application']['prj']['rel']['pol']);

		$application = new Application;
		$application->call_year = $report['Application']['sub']['call']; //to call einai desmeumeni leksi sti mysql
		$application->agree_nr = $report['Application']['sub']['agree_nr'];
		$agree = explode(" ", $report['Application']['sub']['agree_nr']);
		$application->partnership_id = $agree[0];
		if (!empty($report['Application']['sub']['subid'])) {$application->subid = $report['Application']['sub']['subid'];}
		if ((!empty($report['Application']['sub']['lang'])) && (!is_array($report['Application']['sub']['lang']))) {$application->lang = $report['Application']['sub']['lang'];}
		if (!empty($report['Application']['sub']['acrnym'])) {$application->acrnym = $report['Application']['sub']['acrnym'];}
		if (!empty($report['Application']['sub']['title'])) {$application->title = $report['Application']['sub']['title'];}
		

		//E.1. SUMMARY
		if (!empty($report['Application']['prj']['wp']['sum'])) {$application->summary = $report['Application']['prj']['wp']['sum'];} //5000
		if (!empty($report['Application']['prj']['wp']['sumtransl'])) {$application->summarytrans = $report['Application']['prj']['wp']['sumtransl'];} //5000
		//E.3. EUROPEAN ADDED VALUE
		if (!empty($report['Application']['prj']['eav']['eav'])) {$application->eav = $report['Application']['prj']['eav']['eav']; } //4000
		//E.4. PARTNERSHIP OBJECTIVES ACHIEVEMENTS
		if (!empty($report['Application']['prj']['rel']['aims'])) {$application->aims = $report['Application']['prj']['rel']['aims']; } //4000
		//E.5. KEY COMPETENCES
		if (!empty($report['Application']['prj']['rel']['pol']['measures'])) {$application->key_measures = $report['Application']['prj']['rel']['pol']['measures']; } //4000
		//pinakas  ta key competences (einai eso 3)  $report['Application']['prj']['rel']['pol']['key']
		//E.6. HORIZONTAL ISSUES
		if (!empty($report['Application']['prj']['rel']['trns']['comex'])) {$application->hor_comments = $report['Application']['prj']['rel']['trns']['comex']; } //4000
		if (!empty($report['Application']['prj']['rel']['trns']['measures'])) {$application->hor_measures = $report['Application']['prj']['rel']['trns']['measures']; } //4000
		//pinakas me ta HORIZONTAL ISSUES $report['Application']['prj']['rel']['trns']['hor']
		//E.7. WORKPLAN AND TASKS
		if (!empty($report['Application']['prj']['wp']['distasks'])) {$application->distasks = $report['Application']['prj']['wp']['distasks']; } //4000
		//E.8. COMMUNICATION AND COOPERATION
		if (!empty($report['Application']['prj']['cns']['comm'])) {$application->cns_comm = $report['Application']['prj']['cns']['comm']; }
		//E.9. PARTNERSHIP LANGUAGES
		if (array_key_exists("lang",$report['Application']['prj']['rel']['edu'])) {
			if (is_array($report['Application']['prj']['rel']['edu']['lang'])) {
				$application->lang_comm = $report['Application']['prj']['rel']['edu']['lang'][0];
			}
			elseif (!empty($report['Application']['prj']['rel']['edu']['lang'])) {
				$application->lang_comm = $report['Application']['prj']['rel']['edu']['lang']; 
			} //mporei na einai polles oi epiloges
		}
		
		//E.10.1. PROGRESS MONITORING
		if (!empty($report['Application']['prj']['eval']['monitor']['type'])) {$application->eval_monitor_type = $report['Application']['prj']['eval']['monitor']['type']; }
		if (!empty($report['Application']['prj']['eval']['monitor']['oth'])) {$application->eval_monitor_oth = $report['Application']['prj']['eval']['monitor']['oth']; }
		if (!empty($report['Application']['prj']['eval']['monitor']['comments'])) {$application->eval_monitor_comments = $report['Application']['prj']['eval']['monitor']['comments']; } //5000
		//E.10.2. RESULTS/PRODUCTS/OUTCOMES ACHIEVEMENT
		if (!empty($report['Application']['prj']['eval']['aspects'][0]['rating'])) {$application->eval_resach_rating = $report['Application']['prj']['eval']['aspects'][0]['rating']; }
		if (!empty($report['Application']['prj']['eval']['aspects'][0]['comments'])) {$application->eval_resach_comments = $report['Application']['prj']['eval']['aspects'][0]['comments']; }
		//E.10.3. AIMS/OBJECTIVES ACHIEVEMENT
		if (!empty($report['Application']['prj']['eval']['aspects'][1]['rating'])) {$application->eval_objful_rating = $report['Application']['prj']['eval']['aspects'][1]['rating']; }
		if (!empty($report['Application']['prj']['eval']['aspects'][1]['comments'])) {$application->eval_objful_comments = $report['Application']['prj']['eval']['aspects'][1]['comments']; }		
		//F.2. PARTNERSHIP ACTIVITIES eval (enai sto telos tis enotitas)
		if (!empty($report['Application']['prj']['eval']['aspects'][2]['rating'])) {$application->eval_actach_rating = $report['Application']['prj']['eval']['aspects'][2]['rating']; }
		if (!empty($report['Application']['prj']['eval']['aspects'][2]['comments'])) {$application->eval_actach_comments = $report['Application']['prj']['eval']['aspects'][2]['comments']; }
		//F.1.1. ACTIVITIES
		if (!empty($report['Application']['prj']['im']['participants']['act'][0]['nr_st'])) {$application->act_local_st_m = $report['Application']['prj']['im']['participants']['act'][0]['nr_st']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][0]['nr_sn'])) {$application->act_local_sn_m = $report['Application']['prj']['im']['participants']['act'][0]['nr_sn']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][0]['nr_stf'])) {$application->act_local_stf_m = $report['Application']['prj']['im']['participants']['act'][0]['nr_stf']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][0]['nr_oth1'])) {$application->act_local_oth1_m = $report['Application']['prj']['im']['participants']['act'][0]['nr_oth1']; } //mallon staff with With Special Needs
		if (!empty($report['Application']['prj']['im']['participants']['act'][0]['nr_oth2'])) {$application->act_local_oth2_m = $report['Application']['prj']['im']['participants']['act'][0]['nr_oth2']; }

		if (!empty($report['Application']['prj']['im']['participants']['act'][1]['nr_st'])) {$application->act_local_st_w = $report['Application']['prj']['im']['participants']['act'][1]['nr_st']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][1]['nr_sn'])) {$application->act_local_sn_w = $report['Application']['prj']['im']['participants']['act'][1]['nr_sn']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][1]['nr_stf'])) {$application->act_local_stf_w = $report['Application']['prj']['im']['participants']['act'][1]['nr_stf']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][1]['nr_oth1'])) {$application->act_local_oth1_w = $report['Application']['prj']['im']['participants']['act'][1]['nr_oth1']; } 
		if (!empty($report['Application']['prj']['im']['participants']['act'][1]['nr_oth2'])) {$application->act_local_oth2_w = $report['Application']['prj']['im']['participants']['act'][1]['nr_oth2']; }

		if (!empty($report['Application']['prj']['im']['participants']['act'][2]['nr_st'])) {$application->act_mobility_st_m = $report['Application']['prj']['im']['participants']['act'][2]['nr_st']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][2]['nr_sn'])) {$application->act_mobility_sn_m = $report['Application']['prj']['im']['participants']['act'][2]['nr_sn']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][2]['nr_stf'])) {$application->act_mobility_stf_m = $report['Application']['prj']['im']['participants']['act'][2]['nr_stf']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][2]['nr_oth1'])) {$application->act_mobility_oth1_m = $report['Application']['prj']['im']['participants']['act'][2]['nr_oth1']; } 
		if (!empty($report['Application']['prj']['im']['participants']['act'][2]['nr_oth2'])) {$application->act_mobility_oth2_m = $report['Application']['prj']['im']['participants']['act'][2]['nr_oth2']; }

		if (!empty($report['Application']['prj']['im']['participants']['act'][3]['nr_st'])) {$application->act_mobility_st_w = $report['Application']['prj']['im']['participants']['act'][3]['nr_st']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][3]['nr_sn'])) {$application->act_mobility_sn_w = $report['Application']['prj']['im']['participants']['act'][3]['nr_sn']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][3]['nr_stf'])) {$application->act_mobility_stf_w = $report['Application']['prj']['im']['participants']['act'][3]['nr_stf']; }
		if (!empty($report['Application']['prj']['im']['participants']['act'][3]['nr_oth1'])) {$application->act_mobility_oth1_w = $report['Application']['prj']['im']['participants']['act'][3]['nr_oth1']; } 
		if (!empty($report['Application']['prj']['im']['participants']['act'][3]['nr_oth2'])) {$application->act_mobility_oth2_w = $report['Application']['prj']['im']['participants']['act'][3]['nr_oth2']; }
		//F.1.2. AGE RANGES
		if (!empty($report['Application']['prj']['im']['trgt']['age'])) {$application->participants_age_range = $report['Application']['prj']['im']['trgt']['age']; }
		if (!empty($report['Application']['prj']['im']['trgt']['nr'])) {$application->participants_nr = $report['Application']['prj']['im']['trgt']['nr']; }
		//F.3. IMPACTS
		//F.3.1. PUPILS/LEARNERS/TRAINEES
		if (!empty($report['Application']['prj']['im']['learn']['areas'][0]['rating'])) {$application->impact_pupils_lang = $report['Application']['prj']['im']['learn']['areas'][0]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['areas'][1]['rating'])) {$application->impact_pupils_ict = $report['Application']['prj']['im']['learn']['areas'][1]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['areas'][2]['rating'])) {$application->impact_pupils_social = $report['Application']['prj']['im']['learn']['areas'][2]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['areas'][3]['rating'])) {$application->impact_pupils_motiv = $report['Application']['prj']['im']['learn']['areas'][3]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['areas'][4]['rating'])) {$application->impact_pupils_self = $report['Application']['prj']['im']['learn']['areas'][4]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['areas'][5]['rating'])) {$application->impact_pupils_culture = $report['Application']['prj']['im']['learn']['areas'][5]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['areas'][6]['rating'])) {$application->impact_pupils_oth = $report['Application']['prj']['im']['learn']['areas'][6]['rating']; }
		if (!empty($report['Application']['prj']['im']['learn']['oth'])) {$application->impact_pupils_oth_desc = $report['Application']['prj']['im']['learn']['oth']; } //2500
		if (!empty($report['Application']['prj']['im']['learn']['comments'])) {$application->impact_pupils_comments = $report['Application']['prj']['im']['learn']['comments']; } //2500
		//F.3.2. TEACHERS/STAFF
		if (!empty($report['Application']['prj']['im']['staff']['areas'][0]['rating'])) {$application->impact_staff_lang = $report['Application']['prj']['im']['staff']['areas'][0]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['areas'][1]['rating'])) {$application->impact_staff_ict = $report['Application']['prj']['im']['staff']['areas'][1]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['areas'][2]['rating'])) {$application->impact_staff_pedag = $report['Application']['prj']['im']['staff']['areas'][2]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['areas'][3]['rating'])) {$application->impact_staff_motiv = $report['Application']['prj']['im']['staff']['areas'][3]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['areas'][4]['rating'])) {$application->impact_staff_prjmng = $report['Application']['prj']['im']['staff']['areas'][4]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['areas'][5]['rating'])) {$application->impact_staff_culture = $report['Application']['prj']['im']['staff']['areas'][5]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['areas'][6]['rating'])) {$application->impact_staff_oth = $report['Application']['prj']['im']['staff']['areas'][6]['rating']; }
		if (!empty($report['Application']['prj']['im']['staff']['oth'])) {$application->impact_staff_oth_desc = $report['Application']['prj']['im']['staff']['oth']; } //2500
		if (!empty($report['Application']['prj']['im']['staff']['comments'])) {$application->impact_staff_comments = $report['Application']['prj']['im']['staff']['comments']; } //2500
		//F.3.3. ORGANISATION
		if (!empty($report['Application']['prj']['im']['home']['areas'][0]['rating'])) {$application->impact_org_curr = $report['Application']['prj']['im']['home']['areas'][0]['rating']; }
		if (!empty($report['Application']['prj']['im']['home']['areas'][1]['rating'])) {$application->impact_org_org = $report['Application']['prj']['im']['home']['areas'][1]['rating']; }
		if (!empty($report['Application']['prj']['im']['home']['areas'][2]['rating'])) {$application->impact_org_supp = $report['Application']['prj']['im']['home']['areas'][2]['rating']; }
		if (!empty($report['Application']['prj']['im']['home']['areas'][3]['rating'])) {$application->impact_org_langpol = $report['Application']['prj']['im']['home']['areas'][3]['rating']; }
		if (!empty($report['Application']['prj']['im']['home']['areas'][4]['rating'])) {$application->impact_org_staffcoop = $report['Application']['prj']['im']['home']['areas'][4]['rating']; }
		if (!empty($report['Application']['prj']['im']['home']['areas'][5]['rating'])) {$application->impact_org_oth = $report['Application']['prj']['im']['home']['areas'][5]['rating']; }
		if (!empty($report['Application']['prj']['im']['home']['oth'])) {$application->impact_org_oth_desc = $report['Application']['prj']['im']['home']['oth']; } //2500
		if (!empty($report['Application']['prj']['im']['home']['comments'])) {$application->impact_org_comments = $report['Application']['prj']['im']['home']['comments']; } //2500
		//F.3.4. LOCAL COMMUNITY
		if (!empty($report['Application']['prj']['im']['comun']['areas'][0]['rating'])) {$application->impact_comun_family = $report['Application']['prj']['im']['comun']['areas'][0]['rating']; }
		if (!empty($report['Application']['prj']['im']['comun']['areas'][1]['rating'])) {$application->impact_comun_coop = $report['Application']['prj']['im']['comun']['areas'][1]['rating']; }
		if (!empty($report['Application']['prj']['im']['comun']['areas'][2]['rating'])) {$application->impact_comun_comp = $report['Application']['prj']['im']['comun']['areas'][2]['rating']; }
		if (!empty($report['Application']['prj']['im']['comun']['areas'][3]['rating'])) {$application->impact_comun_actor = $report['Application']['prj']['im']['comun']['areas'][3]['rating']; }
		if (!empty($report['Application']['prj']['im']['comun']['areas'][4]['rating'])) {$application->impact_comun_oth = $report['Application']['prj']['im']['comun']['areas'][4]['rating']; }
		if (!empty($report['Application']['prj']['im']['comun']['oth'])) {$application->impact_comun_oth_desc = $report['Application']['prj']['im']['comun']['oth']; } //2500
		if (!empty($report['Application']['prj']['im']['comun']['comments'])) {$application->impact_comun_comments = $report['Application']['prj']['im']['comun']['comments']; } //2500
		//F.3.5. OTHER IMPACTS
		if (!empty($report['Application']['prj']['im']['longexp'])) {$application->impact_other = $report['Application']['prj']['im']['longexp']; } //2500
		//F.4. DISSEMINATION
		//pinakas me dissemination apo report['Application']['prj']['qdex']['share']
		if (!empty($report['Application']['prj']['qdex']['des'])) {$application->impact_dissemination_desc = $report['Application']['prj']['qdex']['des']; } //4000
		//F.5. SUSTAINABILITY
		if (!empty($report['Application']['prj']['qdex']['intrgres'])) {$application->impact_sustainability = $report['Application']['prj']['qdex']['intrgres']; } //4000

		//F.6. MOBILITY PARTICIPATION
		//prosthiki pinaka me mobility apo report['Application']['prj']['im']['mob']

		//G. LESSONS LEARNED
		//G.1. PROBLEMS/OBSTACLES ENCOUNTERED
		//pinakas me problems apo report['Application']['prj']['lessons']['prob_hndl']['prob']
		if (!empty($report['Application']['prj']['lessons']['prob_hndl']['oth'])) {$application->lessons_problems_other = $report['Application']['prj']['lessons']['prob_hndl']['oth']; }  //2500
		if (!empty($report['Application']['prj']['lessons']['prob_hndl']['comments'])) {$application->lessons_problems_comments = $report['Application']['prj']['lessons']['prob_hndl']['comments']; } //2500
		//G.2. COMMENTS AND SUGGESTIONS
		if (!empty($report['Application']['prj']['lessons']['improv']['oth'])) {$application->lessons_improv_other = $report['Application']['prj']['lessons']['improv']['oth']; } //2500


		//H. EU FUNDING
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['minmob'])) {$application->budget_type = $report['Application']['bud']['partbudget']['mobpart']['minmob']; } //px.COM-24M
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['stdnr'])) {$application->budget_stdnr = $report['Application']['bud']['partbudget']['mobpart']['stdnr']; } 
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['staffnr'])) {$application->budget_staffnr = $report['Application']['bud']['partbudget']['mobpart']['staffnr']; } 
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['totpartnr'])) {$application->budget_totpartnr = $report['Application']['bud']['partbudget']['mobpart']['totpartnr']; } 
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['isspneeds'])) {$application->budget_isspneeds = $report['Application']['bud']['partbudget']['mobpart']['isspneeds']; } 
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['reqgrant'])) {$application->budget_reqgrant = $report['Application']['bud']['partbudget']['mobpart']['reqgrant']; } 
		if (!empty($report['Application']['bud']['partbudget']['mobpart']['grant'])) {$application->budget_grant = $report['Application']['bud']['partbudget']['mobpart']['grant']; } 


		$application->save();

		$application_id = $application->id;

//		$report['Application']['prj']['rel']['pol']['key']
		if (array_key_exists("key",$report['Application']['prj']['rel']['pol'])) {
			if (is_array($report['Application']['prj']['rel']['pol']['key'])) { 
				foreach ($report['Application']['prj']['rel']['pol']['key'] as $comp) {
					if (!empty($comp)) {
						$keyComp = new Key_competence;
						$keyComp->application_id = $application_id;
						$keyComp->key_competence = $comp;
						$keyComp->save();
					}
				}
			}
			elseif (!empty($report['Application']['prj']['rel']['pol']['key'])){
					$keyComp = new Key_competence;
					$keyComp->application_id = $application_id;
					$keyComp->key_competence = $report['Application']['prj']['rel']['pol']['key'];
					$keyComp->save();
			}
		}

		if (array_key_exists("hor",$report['Application']['prj']['rel']['trns'])) {
			if (is_array($report['Application']['prj']['rel']['trns']['hor'])) { 
				foreach ($report['Application']['prj']['rel']['trns']['hor'] as $issue) {
					if (!empty($issue)) {
						$keyComp = new Horizontal_issue;
						$keyComp->application_id = $application_id;
						$keyComp->issue = $issue;
						$keyComp->save();
					}
				}
			}
			elseif (!empty($report['Application']['prj']['rel']['trns']['hor'])){
					$keyComp = new Key_competence;
					$keyComp->application_id = $application_id;
					$keyComp->key_competence = $report['Application']['prj']['rel']['trns']['hor'];
					$keyComp->save();
			}
		}
			
		if (array_key_exists("channel",$report['Application']['prj']['qdex']['share'])) {
			if (is_array($report['Application']['prj']['qdex']['share']['channel'])) { 
				foreach ($report['Application']['prj']['qdex']['share']['channel'] as $diss) {
					$keyComp = new Dissemination;
					$keyComp->application_id = $application_id;
					$keyComp->dissemination = $diss;
					$keyComp->save();
				}
			}
			elseif (!empty($report['Application']['prj']['qdex']['share']['channel'])){
					$keyComp = new Dissemination;
					$keyComp->application_id = $application_id;
					$keyComp->dissemination = $report['Application']['prj']['qdex']['share']['channel'];
					$keyComp->save();
			}
		}
		
		if (array_key_exists("prob",$report['Application']['prj']['lessons']['prob_hndl'])) {
			if (is_array($report['Application']['prj']['lessons']['prob_hndl']['prob'])) { 
				foreach ($report['Application']['prj']['lessons']['prob_hndl']['prob'] as $prob) {
					if (!empty($prob)) {
						$keyComp = new Lessons_problem;
						$keyComp->application_id = $application_id;
						$keyComp->problem = $prob;
						$keyComp->save();
					}
				}
			}
			elseif (!empty($report['Application']['prj']['lessons']['prob_hndl']['prob'])){
					$keyComp = new Lessons_problem;
					$keyComp->application_id = $application_id;
					$keyComp->problem = $report['Application']['prj']['lessons']['prob_hndl']['prob'];
					$keyComp->save();
			}
		}

		foreach ($report['Application']['prj']['im']['mob'] as $mob) {
			$mobility = new Mobility_participation;
			$mobility->application_id = $application_id;
			if (!empty($mob['nr'])) {$mobility->nr = $mob['nr']; } 
			if (!empty($mob['destpart'])) {$mobility->destpart = $mob['destpart']; } 
			if (!empty($mob['desctry'])) {$mobility->desctry = $mob['desctry']; } 
			if (!empty($mob['town'])) {$mobility->town = $mob['town']; } 
			if (!empty($mob['title'])) {$mobility->description = $mob['title']; } 
			if (!empty($mob['start'])) {$mobility->date_start = $mob['start']; } 
			if (!empty($mob['end'])) {$mobility->date_end = $mob['end']; } 
			if (!empty($mob['dur'])) {$mobility->duration = $mob['dur']; } 
			if (!empty($mob['nr_st'])) {$mobility->nr_st = $mob['nr_st']; } 
			if (!empty($mob['nr_sn'])) {$mobility->nr_sn = $mob['nr_sn']; } 
			if (!empty($mob['nr_stf'])) {$mobility->nr_stf = $mob['nr_stf']; } 
			if (!empty($mob['nr_oth1'])) {$mobility->nr_oth1 = $mob['nr_oth1']; } 
			if (!empty($mob['nr_oth2'])) {$mobility->nr_oth2 = $mob['nr_oth2']; } 
			$mobility->save();
		}
		
//		dd($report['Application']['prj']['im']['prd']);
		if (array_key_exists("prd",$report['Application']['prj']['im'])) {
			if (!array_key_exists("nr", $report['Application']['prj']['im']['prd'])) { //an einai mono ena to outcome tote tha uparxei to nr diaforetika tha einai array
				foreach ($report['Application']['prj']['im']['prd'] as $out) {
					$outcome = new Outcome;
					$outcome->application_id = $application_id;
					if (!empty($out['nr'])) {$outcome->nr = $out['nr']; } 
					if (!empty($out['type'])) {$outcome->outcome_type = $out['type']; } 
					if (!empty($out['title'])) {$outcome->title = $out['title']; } 
					if (!empty($out['desc'])) {$outcome->description = $out['desc']; } 
					if (!empty($out['start'])) {$outcome->date_start = $out['start']; } 
					if (!empty($out['isced_f'])) {$outcome->edu_field = $out['isced_f']; } 
					if (!empty($out['source'])) {$outcome->source = $out['source']; } 
					if (!empty($out['creator'])) {$outcome->creator = $out['creator']; } 
					if (!empty($out['publisher'])) {$outcome->publisher = $out['publisher']; } 
					if (!empty($out['coverage'])) {$outcome->coverage = $out['coverage']; } 
					if (!empty($out['copyright'])) {$outcome->copyright = $out['copyright']; } 
					$outcome->save();
					
					if (array_key_exists("subjlist", $out)) {
						if (is_array($out['subjlist'])) { 
							foreach ($out['subjlist'] as $sub) {
								$keyComp = new Outcome_topic;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->topic = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['subjlist'])){
								$keyComp = new Outcome_topic;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->topic = $out['subjlist'];
								$keyComp->save();					
						}
					}

					if (array_key_exists("typelist",$out)) {
						if (is_array($out['typelist'])) { 
							foreach ($out['typelist'] as $sub) {
								$keyComp = new Outcome_target;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->target = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['typelist'])){
								$keyComp = new Outcome_target;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->target = $out['typelist'];
								$keyComp->save();					
						}
					}
					if (array_key_exists("lng_a",$out)) {
						if (is_array($out['lng_a'])) { 
							foreach ($out['lng_a'] as $sub) {
								$keyComp = new Outcome_language;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->lang = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['lng_a'])){
								$keyComp = new Outcome_language;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->lang = $out['lng_a'];
								$keyComp->save();					
						}
					}

					if (array_key_exists("nacelist",$out)) {
						if (is_array($out['nacelist'])) { 
							foreach ($out['nacelist'] as $sub) {
								if (!empty($sub)) {
									$keyComp = new Outcome_sector;
									$keyComp->outcome_id = $outcome->id;
									$keyComp->sector = $sub;
									$keyComp->save();
								}
							}
						} else if (!empty($out['nacelist'])){
								$keyComp = new Outcome_sector;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->sector = $out['nacelist'];
								$keyComp->save();					
						}
					}
					
					if (array_key_exists("medlist",$out)) {
						if (is_array($out['medlist'])) { 
							foreach ($out['medlist'] as $sub) {
								if (!empty($sub)) {
									$keyComp = new Outcome_media;
									$keyComp->outcome_id = $outcome->id;
									$keyComp->media = $sub;
									$keyComp->save();
								}
							}
						} else if (!empty($out['medlist'])){
								$keyComp = new Outcome_media;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->media = $out['medlist'];
								$keyComp->save();					
						}
					}


				} //telos insert outcome
			} else if (!empty($report['Application']['prj']['im']['prd'])) {
					$out = $report['Application']['prj']['im']['prd'];
					$outcome = new Outcome;
					$outcome->application_id = $application_id;
					if (!empty($out['nr'])) {$outcome->nr = $out['nr']; } 
					if (!empty($out['type'])) {$outcome->outcome_type = $out['type']; } 
					if (!empty($out['title'])) {$outcome->title = $out['title']; } 
					if (!empty($out['desc'])) {$outcome->description = $out['desc']; } 
					if (!empty($out['start'])) {$outcome->date_start = $out['start']; } 
					if (!empty($out['isced_f'])) {$outcome->edu_field = $out['isced_f']; } 
					if (!empty($out['source'])) {$outcome->source = $out['source']; } 
					if (!empty($out['creator'])) {$outcome->creator = $out['creator']; } 
					if (!empty($out['publisher'])) {$outcome->publisher = $out['publisher']; } 
					if (!empty($out['coverage'])) {$outcome->coverage = $out['coverage']; } 
					if (!empty($out['copyright'])) {$outcome->copyright = $out['copyright']; } 
					$outcome->save();
					
					if (array_key_exists("subjlist",$out)) {
						if (is_array($out['subjlist'])) { 
							foreach ($out['subjlist'] as $sub) {
								$keyComp = new Outcome_topic;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->topic = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['subjlist'])){
								$keyComp = new Outcome_topic;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->topic = $out['subjlist'];
								$keyComp->save();					
						}
					}

					if (array_key_exists("typelist",$out)) {
						if (is_array($out['typelist'])) { 
							foreach ($out['typelist'] as $sub) {
								$keyComp = new Outcome_target;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->target = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['typelist'])){
								$keyComp = new Outcome_target;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->target = $out['typelist'];
								$keyComp->save();					
						}
					}
					if (array_key_exists("lng_a",$out)) {
						if (is_array($out['lng_a'])) { 
							foreach ($out['lng_a'] as $sub) {
								$keyComp = new Outcome_language;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->lang = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['lng_a'])){
								$keyComp = new Outcome_language;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->lang = $out['lng_a'];
								$keyComp->save();					
						}
					}

					if (array_key_exists("nacelist",$out)) {
						if (is_array($out['nacelist'])) { 
							foreach ($out['nacelist'] as $sub) {
								$keyComp = new Outcome_sector;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->sector = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['nacelist'])){
								$keyComp = new Outcome_sector;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->sector = $out['nacelist'];
								$keyComp->save();					
						}
					}
					
					if (array_key_exists("medlist",$out)) {
						if (is_array($out['medlist'])) { 
							foreach ($out['medlist'] as $sub) {
								$keyComp = new Outcome_media;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->media = $sub;
								$keyComp->save();
							}
						} else if (!empty($out['medlist'])){
								$keyComp = new Outcome_media;
								$keyComp->outcome_id = $outcome->id;
								$keyComp->media = $out['medlist'];
								$keyComp->save();					
						}
					}
			}
		}

		foreach ($report['Application']['prj']['im']['act'] as $act) {
			$activity = new Activity;
			$activity->application_id = $application_id;
			if (!empty($act['nr'])) {$activity->nr = $act['nr']; } 
			if (!empty($act['type'])) {$activity->activity_type = $act['type']; } 
			if (!empty($act['title'])) {$activity->description = $act['title']; } 
			if (!empty($act['start'])) {$activity->date_start = $act['start']; } 
			if (!empty($act['dur'])) {$activity->duration = $act['dur']; } 
			if (!empty($act['inv'])) {$activity->actors = $act['inv']; } 
			$activity->save();
		}

		foreach ($report['Application']['par'] as $par) {
//			dd($par['addr']['cont']);
			$partner = new Partner;
			$partner->application_id = $application_id;
			if (!empty($par['addr']['or']['role'])) {$partner->role = $par['addr']['or']['role']; } 
			if (!empty($par['addr']['or']['nr'])) {$partner->nr = $par['addr']['or']['nr'];}
			if (!empty($par['addr']['or']['lnnat'])) {$partner->lnnat = $par['addr']['or']['lnnat']; }
			if (!empty($par['addr']['or']['lnlat'])) {$partner->lnlat = $par['addr']['or']['lnlat']; }
			if ((!empty($par['addr']['or']['type'])) && (!is_array($par['addr']['or']['type']))) {$partner->type = $par['addr']['or']['type']; }
			
//			$partner->type_desc = $par['addr']['or']['type']['desc'];
			if ((!empty($par['addr']['or']['prf'])) && (!is_array($par['addr']['or']['prf']))) {$partner->prf = $par['addr']['or']['prf']; }
			if ((!empty($par['addr']['or']['sz'])) && (!is_array($par['addr']['or']['sz']))) {$partner->sz = $par['addr']['or']['sz']; }			
//			$partner->sz_desc = $par['addr']['or']['sz']['desc'];
			if (!empty($par['addr']['or']['cty'])) {$partner->cty = $par['addr']['or']['cty']; }
			if (!empty($par['addr']['or']['ctry'])) {$partner->ctry = $par['addr']['or']['ctry']; }
//			$partner->ctry_desc = $par['addr']['or']['ctry']['desc'];
			if ((!empty($par['addr']['or']['nuts'])) && (!is_array($par['addr']['or']['nuts']))) {$partner->nuts = $par['addr']['or']['nuts']; }
//			$partner->nuts_desc = $par['addr']['or']['nuts']['desc'];
			if (!empty($par['addr']['or']['stdnts'])) {$partner->stdnts = $par['addr']['or']['stdnts'];}
//			$partner->sz_stdnts = $par['addr']['or']['sz_stdnts']['desc'];
			if (!empty($par['addr']['or']['tel1'])) {$partner->tel1 = $par['addr']['or']['tel1'];}
			if (!empty($par['addr']['or']['tel2'])) {$partner->tel2 = $par['addr']['or']['tel2'];}
			if (!empty($par['addr']['or']['fax'])) {$partner->fax = $par['addr']['or']['fax'];}
			if (!empty($par['addr']['or']['email'])) {$partner->email = $par['addr']['or']['email'];}
			if (!empty($par['addr']['or']['web'])) {$partner->web = $par['addr']['or']['web'];}
			if (array_key_exists("cont",$par['addr'])) {
//				if (!empty($par['addr']['cont']['ttl'])) {$partner->cont_ttl = $par['addr']['cont']['ttl'];}
				if (!empty($par['addr']['cont']['nmfrst'])) {$partner->cont_nmfrst = $par['addr']['cont']['nmfrst'];}
				if (!empty($par['addr']['cont']['nmfam'])) {$partner->cont_nmfam = $par['addr']['cont']['nmfam'];}
				if (!empty($par['addr']['cont']['pos'])) {$partner->cont_pos = $par['addr']['cont']['pos'];}
				if (!empty($par['addr']['cont']['gender'])) {$partner->cont_gender = $par['addr']['cont']['gender'];}
				if (!empty($par['addr']['cont']['role'])) {$partner->cont_role = $par['addr']['cont']['role'];}
//				if (!empty($par['addr']['leg']['ttl'])) {$partner->leg_ttl = $par['addr']['leg']['ttl'];}
				if (!empty($par['addr']['leg']['nmfrst'])) {$partner->leg_nmfrst = $par['addr']['leg']['nmfrst'];}
				if (!empty($par['addr']['leg']['nmfam'])) {$partner->leg_nmfam = $par['addr']['leg']['nmfam'];}				
				if (!empty($par['addr']['leg']['pos'])) {$partner->leg_pos = $par['addr']['leg']['pos'];}
				if (!empty($par['addr']['leg']['gender'])) {$partner->leg_gender = $par['addr']['leg']['gender'];}
				if (!empty($par['addr']['leg']['role'])) {$partner->leg_role = $par['addr']['leg']['role'];}
			}

			if (!empty($par['agency']['code']) && (!is_array($par['agency']['code']))) {$partner->agency_code = $par['agency']['code'];}
			if (!empty($par['parid'])) {$partner->parid = $par['parid'];}
			
			$partner->save();
		}
	}

		return view('read', compact('report'));    

    }










}

