<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Outcome extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
		'application_id',
		'nr',
		'outcome_type',
		'outcome_type_desc',
		'title',
		'description',
		'date_start',
		'edu_field',
		'source',
		'creator',
		'publisher',
		'coverage',
		'copyright',
    ];

	public function application()
    {
        return $this->belongsTo('App\Application'); //den vazo poio einai apo to pinaka to foreign key giati to default einai application_id
    }

	public function media()
    {
        return $this->hasMany('App\Outcome_media');
    }
	public function language()
    {
        return $this->hasMany('App\Outcome_language');
    }
	public function sector()
    {
        return $this->hasMany('App\Outcome_sector');
    }
	public function target()
    {
        return $this->hasMany('App\Outcome_target');
    }
	public function topic()
    {
        return $this->hasMany('App\Outcome_topic');
    }
}
