@extends('adminlte::page')

@section('title', 'Comenius Final Reports 2009-2013')

@section('content_header')
    <h1>F.3.4. Local Community</h1> 
@stop

@section('content')

      <div class="row">

        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased support and participation of family members (Local-Family)</h3>
            </div>
			<div class="box-body">
			  {!! $chart->container() !!}
			</div>
		  </div>
		</div>
        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased support and participation of family members (Local-Family)</h3>
            </div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table">
                    <thead>
                    <tr class="bg-info">
                        <th>Rating</th><th>Total</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($dCharts as $dChart)
							<tr>
								<td>{{ $dChart->impact_comun_family }}</td>
								<td>{{ $dChart->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>				
			</div>
		  </div>
		</div>
	 </div>

	 <div class="row">
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">Increased cooperation with other local organisations (Local-Coop)</h3>
			</div>
			<div class="box-body">
				{!! $chart2->container() !!}
			</div>
		  </div>
		</div>
        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased cooperation with other local organisations (Local-Coop)</h3>
            </div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table">
                    <thead>
                    <tr class="bg-info">
                        <th>Rating</th><th>Total</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($dCharts2 as $dChart)
							<tr>
								<td>{{ $dChart->impact_comun_coop}}</td>
								<td>{{ $dChart->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>				
			</div>
		  </div>
		</div>
	</div>

      <div class="row">
        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased cooperation with local companies (Local-Comp)</h3>
            </div>
			<div class="box-body">
				{!! $chart3->container() !!}
			</div>
		  </div>
		</div>
        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased cooperation with local companies (Local-Comp)</h3>
            </div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table">
                    <thead>
                    <tr class="bg-info">
                        <th>Rating</th><th>Total</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($dCharts3 as $dChart)
							<tr>
								<td>{{ $dChart->impact_comun_comp }}</td>
								<td>{{ $dChart->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>				
			</div>
		  </div>
		</div>
	 </div>

	 <div class="row">
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">Increased support and participation of other local actors (Local-Actor)</h3>
			</div>
			<div class="box-body">
				{!! $chart4->container() !!}
			</div>
		  </div>
		</div>
        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased support and participation of other local actors (Local-Actor)</h3>
            </div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table">
                    <thead>
                    <tr class="bg-info">
                        <th>Rating</th><th>Total</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($dCharts4 as $dChart)
							<tr>
								<td>{{ $dChart->impact_comun_actor }}</td>
								<td>{{ $dChart->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>				
			</div>
		  </div>
		</div>
	</div>



@stop

@section('css')
    <link rel="stylesheet" href="css/admin_custom.css">
  <!-- DataTables -->


  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->



<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.min.js" charset=utf-8></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/highcharts/6.0.6/highcharts.js" charset=utf-8></script>
<script src="https://cdn.jsdelivr.net/npm/fusioncharts@3.12.2/fusioncharts.js" charset=utf-8></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/echarts/4.0.2/echarts-en.min.js" charset=utf-8></script>
{!! $chart->script() !!}
{!! $chart2->script() !!}
{!! $chart3->script() !!}
{!! $chart4->script() !!}
@stop