@extends('adminlte::page')

@section('title', 'Comenius Final Reports 2009-2013')

@section('content_header')
    <h1>Charts - F.3.1. Pupils/Learners/Trainees</h1> 
@stop

@section('content')

      <div class="row">

        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased language skills (Pupil-Lang)</h3>
            </div>
			<div class="box-body">
			  <canvas id="myChart" width="400" height="200"></canvas>
			</div>
		  </div>
		</div>
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">Increased ICT skills (Pupil-ICT)</h3>
			</div>
			<div class="box-body">
			  <canvas id="myChart2" width="400" height="200"></canvas>
			</div>
		  </div>
		</div>
	</div>

      <div class="row">
        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h3 class="box-title">Increased social skills (Pupil-Social)</h3>
            </div>
			<div class="box-body">
			  <canvas id="myChart3" width="400" height="200"></canvas>
			</div>
		  </div>
		</div>
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">Increased motivation (Pupil-Motiv)</h3>
			</div>
			<div class="box-body">
			  <canvas id="myChart4" width="400" height="200"></canvas>
			</div>
		  </div>
		</div>

		</div>

	

	
<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Ασθενή;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>	

@stop

@section('css')
    <link rel="stylesheet" href="css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">

  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.16/datatables.min.js"></script>
	<script src="vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="vendor/datatables/mydataTableIndexMap.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.min.js"></script>


<script>
var ctx = document.getElementById("myChart").getContext('2d');
var myPieChart = new Chart(ctx,{
    type: 'doughnut',
    data: {
        labels: [
		@foreach ($impactStLang as $row)
			"{{ $row->impact_pupils_lang}}",
		@endforeach	
		],
        datasets: [{
            data: [
			@foreach ($impactStLang as $row)
			{{ $row->total}},
			@endforeach

			],
            backgroundColor: ['red', 'blue', 'green','yellow', 'orange', 'pink'],
            borderWidth: 0
        }]
    }
});
</script>
	
<script>
var ctx = document.getElementById("myChart2").getContext('2d');
var myPieChart2 = new Chart(ctx,{
    type: 'doughnut',
    data: {
        labels: [
		@foreach ($impactStIct as $row)
			"{{ $row->impact_pupils_ict}}",
		@endforeach	
		],
        datasets: [{
            data: [
			@foreach ($impactStIct as $row)
			{{ $row->total}},
			@endforeach

			],
            backgroundColor: ['red', 'blue', 'green','yellow', 'orange', 'pink'],
            borderWidth: 0
        }]
    }
});
</script>

<script>
var ctx = document.getElementById("myChart3").getContext('2d');
var myPieChart3 = new Chart(ctx,{
    type: 'doughnut',
    data: {
        labels: [
		@foreach ($impactStSocial as $row)
			"{{ $row->impact_pupils_social}}",
		@endforeach	
		],
        datasets: [{
            data: [
			@foreach ($impactStSocial as $row)
			{{ $row->total}},
			@endforeach

			],
            backgroundColor: ['red', 'blue', 'green','yellow', 'orange', 'pink'],
            borderWidth: 0
        }]
    }
});
</script>

<script>
var ctx = document.getElementById("myChart4").getContext('2d');
var myPieChart4 = new Chart(ctx,{
    type: 'doughnut',
    data: {
        labels: [
		@foreach ($impactStMotiv as $row)
			"{{ $row->impact_pupils_motiv}}",
		@endforeach	
		],
        datasets: [{
            data: [
			@foreach ($impactStMotiv as $row)
			{{ $row->total}},
			@endforeach

			],
            backgroundColor: ['red', 'blue', 'green','yellow', 'orange', 'pink'],
            borderWidth: 0
        }]
    }
});
</script>
@stop