@extends('adminlte::page')

@section('title', 'Iassis ORL')

@section('content_header')
    <h1>Συνεδρία Ασθενή</h1>
@stop

@include('flash-message')

@section('content')

                    
		<!-- START CONTENT FRAME BODY -->
		<div class="col-md-9">

          <!-- Profile Image -->
          <div class="box box-primary">
            <div class="box-body box-profile">

			  <h3 class="profile-username text-center">{{ $patient->firstname }} {{ $patient->lastname }}</h3>

			  <input type="hidden" name="student_id" id="student_id" value="{{ $patient->id }}">

              <p class="text-muted text-center">{{ $patient->address}} {{ $patient->city}} {{ $patient->tk}}</p>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Σταθερο Τηλ:</b> <a class="pull-right">{{ $patient->phone}}</a>
					</li>
					<li class="list-group-item">
					  <b>Κινητό Τηλ:</b> <a class="pull-right">{{ $patient->mobile}}</a>
					</li>
					<li class="list-group-item">
					  <b>email:</b> <a class="pull-right">{{ $patient->email}}</a>
					</li>
				  </ul>
			  </div>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>Ημερομηνία Γέννησης:</b> <a class="pull-right"> {{$patient->birthdate}}</a>
					</li>
					<li class="list-group-item">
					  <b>Status:</b> <a class="pull-right">{{ $patient->status}}</a>
					</li>
					<li class="list-group-item">
					  <b>Smoking:</b> <a class="pull-right">{{ $patient->smoking}}</a>
					</li>
				  </ul>
			  </div>
  			  <div class="col-md-4">
				  <ul class="list-group list-group-unbordered">
					<li class="list-group-item">
					  <b>ΑΜΚΑ:</b> <a class="pull-right">{{ $patient->amka}}</a>
					</li>
					<li class="list-group-item">
					  <b>Ταμείο:</b> <a class="pull-right">{{ $patient->tameio}}</a>
					</li>
					<li class="list-group-item">
					  <b>Referring physician:</b> <a class="pull-right">{{ $patient->parapompi}}</a>
					</li>
				  </ul>
			  </div>
            </div>

            <!-- /.box-body -->
          </div>
          <!-- /.box -->
		</div>
		<!-- END CONTENT FRAME BODY -->
			<!-- START CONTENT FRAME LEFT -->
			<div class="col-md-3">
				  <!-- About Me Box -->
				  <div class="box box-primary">
					<div class="box-header with-border">
					  <h3 class="box-title">Επιλογές Ασθενή</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						 
						  @include('patients.patientMenu')

					</div>
				</div>
			</div>
			<!-- END CONTENT FRAME LEFT -->

	         
		<!-- MAIN CONTENT FRAME LEFT - PATIENT DETAIL-->
		<div class="col-md-4">
			<div class="box box-info">
				<div class="box-header with-border">
					<h3 class="box-title">Στοιχεία Ασθενή</h3>
						<div class="box-tools pull-right">
						    <a href="{{url('/patients/edit', $patient->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i> Edit</a>
						</div>
				</div>
				<div class="box-body box-profile">
					<b>Ιστορικό</b>
					{!! $patient->history !!}
					<br>
                    <b>Drug History - Drug Allergy</b>
					{!! $patient->istoriko_drug !!}
					<br>
					<b>Παρατηρήσεις</b>
					{!! $patient->comments !!}

				</div>
			</div>
		</div>
		<!-- END MAIN CONTENT FRAME LEFT  - PATIENT DETAIL-->

		<!-- MAIN CONTENT FRAME LEFT - PATIENT DETAIL-->
		<div class="col-md-8">

		@foreach ($sinedries as $sinedria)
			<div class="box box-primary">
				<div class="box-header with-border">
					<h3 class="box-title">Στοιχεία Συνεδρίας</h3>
					    <div class="box-tools pull-right">
						    <a href="{{url('/patients/editSinedria', $sinedria->id)}}" class="btn btn-primary btn-xs"> <i class="fa fa-pencil"></i> Edit</a>
						    <a href="#" class="btn btn-primary btn-xs" onClick="printsinedria({{$sinedria->id}}, {{$patient->id}});"> <i class="fa fa-print"></i> Print</a>
						    <a href="#" class="btn btn-primary btn-xs" onClick="printrecipe({{$sinedria->id}}, {{$patient->id}});"> <i class="fa fa-print"></i> Recipe</a>
						</div>
				</div>
				<div class="box-body box-profile">
					<div class="col-md-6">
						<b>Ημερομηνία:</b> {{ $sinedria->sinedriadate }} <br>            
						<b>Evidence:</b> {!! $sinedria->evidence!!}<br>
						<b>Priority:</b> {!! $sinedria->priority!!}<br><br>            
						<b>Clinical Examination</b><br>
						<b>Rinne R:</b> {!! $sinedria->clinical_rinne_r!!} <br><b>Rinne L:</b> {!! $sinedria->clinical_rinne_l !!}<br>
						<b>WEBER:</b> {!! $sinedria->clinical_weber !!}<br><b>Tymp R:</b> {!! $sinedria->clinical_tymp_r !!}<br><b>Tymp L:</b> {!! $sinedria->clinical_tymp_l !!}<br>
						<b>Otoscopy:</b> {!! $sinedria->clinical_otoscopy !!}<br>
						<b>PTA:</b> {!! $sinedria->clinical_pta !!}<br>
						<b>Tonsil grade:</b> {!! $sinedria->clinical_tonsil_grade !!}<b>Malampanti grade:</b> {!! $sinedria->clinical_malampati_grade !!}<br>
						<b>Oral Cavity / Oropharynx:</b> {!! $sinedria->clinical_oral_cavity !!}<br>
						<b>Rhinoscopy – Laryngoscopy:</b> {!! $sinedria->clinical_endoscopy !!}<br>
						<b>Neurotology:</b> {!! $sinedria->clinical_neurotology !!}<br>
						<b>Neck:</b> {!! $sinedria->clinical_neck !!}<br><br>

					</div>
					<div class="col-md-6">
						<b>Presenting Complaint</b><br>
						{!! $sinedria->presenting_complaint!!} <br>
						
						
						
						<b>Impression - D. Diagnosis</b><br>
						{!! $sinedria->diagnosis !!} <br><br>
						
						<b>Treatment Plan</b><br>
						{!! $sinedria->treatment !!}

						<b>Recipe</b><br>
						{!! $sinedria->recipe !!}

					</div>
				
				</div>
			</div>
			@endforeach
			{{ $sinedries->links() }}
		</div>
		<!-- END MAIN CONTENT FRAME LEFT  - PATIENT DETAIL-->

<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Προγράμματος Εκπαιδευομένου;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
	

@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script src="../../js/printsinedria.js"></script>







@stop
