@extends('layout.printForm')

@section('title', 'Project Form')

@section('content')

<div class="acknowledgement">
	<p>Copyright© ΙΚΥ/ΕΜΣ, 2018<br>
Με επιφύλαξη παντός δικαιώματος. All rights reserved.<br>
Απαγορεύεται η αντιγραφή, αποθήκευση και διανομή της παρούσας έκθεσης, εξ ολοκλήρου ή τμήματος αυτής, χωρίς την έγγραφη έγκριση του ΙΚΥ/ΕΜΣ. </p>
</div>

<div class="report">
	<h1>{{ $application->partnership_id }} <br> {{ $application->title }}</h1>
	  <ul class="list-group list-group-unbordered">
		<li class="list-group-item">
		  <b>Έτος έναρξης:</b> {{ $application->call_year}}
		</li>
		<li class="list-group-item">
		  <b>Γλώσσα:</b> {{ $application->lang}}
		</li>
		<li class="list-group-item">
		  <b>Τύπος Επιχορήγησης:</b>{{ $application->budget_type}}
		</li>
		<li class="list-group-item">
		  <b>Partners:</b> {{$application->partner->count()}}
		</li>
		<li class="list-group-item">
		  <b>Outcomes:</b> {{ $application->outcome->count()}}
		</li>
		<li class="list-group-item">
		  <b>Activities:</b>{{$application->activity->count()}}
		</li>
		<li class="list-group-item">
		  <b>Meetings:</b> {{ $application->mobility->count()}}
		</li>
		<li class="list-group-item">
		  <b>Staff (mobilities):</b> {{ $application->budget_staffnr}}
		</li>
		<li class="list-group-item">
		  <b>Students (mobilities):</b> {{ $application->budget_stdnr}}
		</li>
	  </ul>
	<h2>Summary</h2>
	{!! $application->summary !!}
	<h2>Summary Translation</h2>
	{!! $application->summarytrans !!}
	<h2>E.3. European Added Value</h2>
	<b>What was the added value of the partnership towards a more intensive European cooperation?</b><br>
	<p>{!! $application->eav !!}</p>
	<h2>E.4. Partnership Objectives Achievements</h2>
	<b>Please summarise briefly the main aims/objectives of your partnership</b><br>
	<p>{{ $application->aims }}</p>
	<h2>E.5. Key Competences</h2>
		<b>Please enter the specific key competences addressed by your partnership</b>
		<ul>
		@foreach ($competences as $competence)
			<li>{!! $competence->key_competence_desc !!} ({{$competence->key_competence }}) </li>
		@endforeach
		</ul>
		<br>
	<b>Please specify any concrete measures and activities undertaken at partnership level:</b><br>
	<p>{{ $application->key_measures }}</p>

	<h2>E.6. Horizontal Issues</h2>
		<b>Horizontal issues addressed by partnership</b>
		<ul>
		@foreach ($horizontals as $horizontal)
			<li>{!! $horizontal->issue_desc !!} ({{$horizontal->issue }}) </li>
		@endforeach
		</ul>
		<br>
	<b>If other, please specify::</b><br>
	{!! $application->hor_comments !!}<br><br>
	<b>Concrete measures and activities undertaken at partnership level:</b><br>
	{!! $application->hor_measures !!}


	<h2>E.7. Workplan and Tasks</h2>
	<b>If some of the tasks carried out are different form those planned at application stage, please explain why</b><br>
	<p>{{ $application->distasks }}</p>

	<h2>E.8. Communication and Cooperation</h2>
	<b>How would you describe the cooperation and communication between the participating organisations involved in your partnership? Were all organisations equally involved?</b><br>
	<p>{{ $application->cns_comm }}</p>	

	<h2>E.10. Evaluation</h2>
		<h3>E.10.1. Progress Monitoring</h3>
			<b>How did you monitor and evaluate the progress and the expected impact of the partnership?</b><br>
			@if ($application->eval_monitor_type=='quest')
				Questionnaires for participants (quest)
			@elseif ($application->eval_monitor_type=='session')
				Regular evaluation sessions (session)
			@else
				Other (Oth)
				<br>
				<b>If other, please specify:</b><br>
				{!! $application->eval_monitor_oth !!}
			@endif
			<br><br>
			<b>What were the main conclusions and consequences of the monitoring and evaluation?:</b><br>
			{!! $application->eval_monitor_comments !!}

		<h3>E.10.2. Results/Products/Outcomes Achievement</h3>
			<b>To what extent were results/products/outcomes previously identified at application stage achieved?</b><br>
			@if ($application->eval_resach_rating=='Tvsm')
				To a very small extent (Tvsm)
			@elseif ($application->eval_resach_rating=='Tsm')
				To a small extent (Tsm)
			@elseif ($application->eval_resach_rating=='Thigh')
				To a high extent (Thigh)
			@elseif ($application->eval_resach_rating=='Tvhigh')
				To a very high extent (Tvhigh)
			@elseif ($application->eval_resach_rating=='Tot')
				Totally accomplished (Tot)
			@endif
			<br><br>
			<b>If your outcomes were different to those indicated at application stage, please explain the reasons for these changes:</b><br>
			{!! $application->eval_resach_comments !!}

		<h3>E.10.3. Aims/Objectives Achievement</h3>
			<b>To what extent were the aims/objectives previously stated at application stage achieved?</b><br>
			@if ($application->eval_objful_rating=='Tvsm')
				To a very small extent (Tvsm)
			@elseif ($application->eval_objful_rating=='Tsm')
				To a small extent (Tsm)
			@elseif ($application->eval_objful_rating=='Thigh')
				To a high extent (Thigh)
			@elseif ($application->eval_objful_rating=='Tvhigh')
				To a very high extent (Tvhigh)
			@elseif ($application->eval_objful_rating=='Tot')
				Totally accomplished (Tot)
			@endif
			<br><br>
			<b>In case of underachievement, please explain which aims/objectives were not achieved and for what reasons:</b><br>
			{!! $application->eval_objful_comments !!}

	<h2>F.3. Impacts</h2>
		<h3>F.3.1. Pupils/Learners/Trainees</h3>

			<table>
				<thead>
				  <tr>
					<th width="50%">Area</th>
					<th>Rating</th>
				  </tr>
				</thead>

				<tbody>	
					<tr> 
						<td>Increased language skills (Pupil-Lang)</td><td> {!! myimpact($application->impact_pupils_lang) !!} </td>
					</tr>
					<tr> 
						<td>Increased ICT skills (Pupil-ICT)</td><td> {{ myimpact($application->impact_pupils_ict) }} </td>
					</tr>
					<tr>	
						<td>Increased social skills (Pupil-Social)</td><td> {{ myimpact($application->impact_pupils_social) }} </td>
					</tr>
					<tr>	
						<td>Increased motivation (Pupil-Motiv)</td><td> {{ myimpact($application->impact_pupils_motiv) }} </td>
					</tr>
					<tr>	
						<td>Increased self-confidence (Pupil-Self)</td><td> {{ myimpact($application->impact_pupils_self) }} </td>
					</tr>
					<tr>	
						<td>Increased knowledge about partner countries and cultures (Pupil-Culture)</td><td> {{ myimpact($application->impact_pupils_culture) }} </td>
					</tr>
					<tr>	
						<td>Other (Pupil-Oth)</td><td> {{ myimpact($application->impact_pupils_oth) }} {!! $application->impact_pupils_oth_desc !!} </td>
					</tr>
				</tbody>
			</table>

			<br>
			<b>Please comment on your choices:</b><br>
			{!! $application->impact_pupils_comments !!}

		<h3>F.3.2. Teachers/Staff</h3>
			<table>
				<thead>
				  <tr>
					<th width="50%">Area</th>
					<th>Rating</th>
				  </tr>
				</thead>

				<tbody>	
					<tr> 
						<td>Increased language skills (Staff-Lang)</td><td> {!! myimpact($application->impact_staff_lang) !!} </td>
					</tr>
					<tr>
						<td>Increased ICT skills (Staff-ICT)</td><td> {{ myimpact($application->impact_staff_ict) }} </td>
					</tr>
					<tr>	
						<td>Increased pedagogical skills (Staff-Pedag)</td><td> {{ myimpact($application->impact_staff_pedag) }} </td>
					</tr>
					<tr>	
						<td>Increased motivation (Staff-Motiv)</td><td> {{ myimpact($application->impact_staff_motiv) }} </td>
					</tr>
					<tr>	
						<td>Increased project management skills (Staff-PrjMng)</td><td> {{ myimpact($application->impact_staff_prjmng) }} </td>
					</tr>
					<tr>	
						<td>Increased knowledge about partner countries and cultures (Staff-Culture)</td><td> {{ myimpact($application->impact_staff_culture) }} </td>
					</tr>
					<tr>	
						<td>Other (Staff-Oth)</td><td> {{ myimpact($application->impact_staff_oth) }} {!! $application->impact_staff_oth_desc !!} </td>
					</tr>
				</tbody>
			</table>

			<br>
			<b>Please comment on your choices:</b><br>
			{!! $application->impact_staff_comments !!}

		<h3>F.3.3. Organisation</h3>
			<table>
				<thead>
				  <tr>
					<th width="50%">Area</th>
					<th>Rating</th>
				  </tr>
				</thead>

				<tbody>	
					<tr> 
						<td>Changes to the curriculum/training programme (Home-Curr)</td><td> {!! myimpact($application->impact_org_curr) !!} </td>
					</tr>
					<tr>
						<td>Changes to organisational arrangements (Home-Org)</td><td> {{ myimpact($application->impact_org_org) }} </td>
					</tr>
					<tr>	
						<td>Increase support of the organisation management (Home-Supp)</td><td> {{ myimpact($application->impact_org_supp) }} </td>
					</tr>
					<tr>	
						<td>Changes in language teaching policy (Home-LangPol)</td><td> {{ myimpact($application->impact_org_langpol) }} </td>
					</tr>
					<tr>	
						<td>Increased cooperation among staff (Home-StaffCoop)</td><td> {{ myimpact($application->impact_org_staffcoop) }} </td>
					</tr>
					<tr>	
						<td>Other (Home-Oth)</td><td> {{ myimpact($application->impact_org_oth) }} {!! $application->impact_org_oth_desc !!} </td>
					</tr>
				</tbody>
			</table>
			<br>
			<b>Please comment on your choices:</b><br>
			{!! $application->impact_org_comments !!}

		<h3>F.3.4. Local Community</h3>
			<table>
				<thead>
				  <tr>
					<th width="50%">Area</th>
					<th>Rating</th>
				  </tr>
				</thead>

				<tbody>	
					<tr> 
						<td>Increased support and participation of family members (Local-Family)</td><td> {!! myimpact($application->impact_comun_family) !!} </td>
					</tr>
					<tr>
						<td>Increased cooperation with other local organisations (Local-Coop)</td><td> {{ myimpact($application->impact_comun_coop) }} </td>
					</tr>
					<tr>	
						<td>Increased cooperation with local companies (Local-Comp)</td><td> {{ myimpact($application->impact_comun_comp) }} </td>
					</tr>
					<tr>	
						<td>Increased support and participation of other local actors (Local-Actor)</td><td> {{ myimpact($application->impact_comun_actor) }} </td>
					</tr>
					<tr>	
						<td>Other (Local-Oth)</td><td> {{ myimpact($application->impact_comun_oth) }} {!! $application->impact_comun_oth_desc !!} </td>
					</tr>
				</tbody>
			</table>

			<br>
			<b>Please comment on your choices:</b><br>
			{!! $application->impact_comun_comments !!}
		
		<h3>F.3.5. Other impacts</h3>
			{!! $application->impact_other !!}

	<h2 class="box-title">F.4. Dissemination & F.5. Sustainability</h2>
		<h3>F.4. Dissemination</h3>
			<table>
				<thead>
				  <tr>
					<th>How have you informed your organisation/other organisations/the local community of the results of your partnership?</th>
				  </tr>
				</thead>

				<tbody>	
					@foreach ($disseminations as $dissemination)
					<tr>
						<td>{!! $dissemination->dissemination_desc !!} ({{$dissemination->dissemination }}) </td>
					</tr>
					@endforeach
				</tbody>
			</table>
			<br>
			Please comment on your choices:<br>
			{!! $application->impact_dissemination_desc !!}
		
		<h3>F.5. Sustainability</h3>
			<b>How do you think that the outcomes of your partnership could be used by others?</b><br>
			{!! $application->impact_sustainability !!}

	<h2>G. Lessons Learned</h2>
		<h3>G.1. Problems/Obstacles Encountered</h3>
			<table>
				<thead>
				  <tr>
					<th>If applicable, please describe any difficulty you encountered before/during/after the Partnership and how they were solved.</th>
				  </tr>
				</thead>
				<tbody>	
					@foreach ($lessonsProblems as $lessonsProblem)
					<tr> <td>{!! $lessonsProblem->problem_desc !!} ({!! $lessonsProblem->problem !!}) </td>	</tr>
					@endforeach
				</tbody>
			</table>
			<br>
			If other, please specify:<br>
			{!! $application->lessons_improv_other !!}
			<br><br>
			Please enter here any other comments you may have:<br>
			{!! $application->lessons_problems_other !!}

		<h3>G.2. Comments and Suggestions</h3>	
			<b>Please provide any further comments you might wish to make to the National Agency or the European Commission on the
			management and implementation of Comenius/Grundtvig/Leonardo da Vinci Partnerships' projects (such as recommendation
			for future measures, administrative procedures, level of funding, etc.):</b><br>
			{!! $application->lessons_problems_comments !!}

</div>





@endsection



	