@extends('adminlte::page')

@section('title', 'Comenius Final Reports 2009-2013')

@section('content_header')
    <h1>
		@if ($rl=='all')
			Απεικόνιση στο χάρτη των συνεργασιών των ελληνικών σχολείων	
		@elseif($rl=='CO')
			Απεικόνιση στο χάρτη των συνεργασιών των ελληνικών σχολείων	με ρόλο συντονιστη
		@else
			Απεικόνιση στο χάρτη των συνεργασιών των ελληνικών σχολείων	με ρόλο εταίρου
		@endif
	
	
	</h1> 
@stop

@section('content')

      <div class="row">

        <div class="col-xs-7">
          <div class="box">
            <div class="box-header">
            </div>
			<div class="box-body">
			  <div id="europe-map-gdp" style="width: 650px; height: 600px"></div>
			</div>
		  </div>
		</div>
	    <div class="col-xs-5">
          <div class="box">
            <div class="box-header">
			<div class="btn-group-vertical">
				<a href="{{url('/partnersmap/0')}}" class="btn btn-primary">Όλες οι συμπράξεις</a>
				<a href="{{url('/partnersmap/1')}}" class="btn btn-primary">Συμπράξεις με ελληνικό σχολείο ως συντονιστή</a>
				<a href="{{url('/partnersmap/2')}}" class="btn btn-primary">Συμπράξεις με ελληνικό σχολείο ως εταίρο</a>
				</div>
            </div>
			<div class="box-body">
				Στον παρακάτω πίνακα εμφανίζονται οι χώρες και ο αριθμός των σχολείων τους που συνεργάστηκαν με σχολεία από Ελλάδα.
				<table class="table table-bordered table-hover table-condensed table-striped" >
                    <thead>
                    <tr class="bg-info">
                        <th>Χώρα</th><th>Συμπράξεις</th> <th  width="100">Ενέργειες</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($partners as $partner)
						@if ($partner->ctry<>'GR')
							<tr>
								<td>{{ $partner->ctry_desc }}</td>
								<td>{{ $partner->total }}</td>
								<td width="150">
									 <a href="{{url('/indexPartners', ['ctr'=>$partner->ctry, 'rl'=>$rl])}}" class="btn btn-primary btn-xs"> <i class="fa fa-search"> Αναλυτικά</i></a>
								</td>
							</tr>
						@endif
						@endforeach						
					</tbody>
                </table>
			</div>
		  </div>
		</div>
	</div>



	

	
<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Ασθενή;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>	

@stop

@section('css')
    <link rel="stylesheet" href="css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
  <link rel="stylesheet" href="../css/jquery-jvectormap-2.0.3.css" type="text/css" media="screen"/>
  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.16/datatables.min.js"></script>
	<script src="../vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="../vendor/datatables/mydataTableIndexMap.js"></script>
	<script src="../js/jquery-jvectormap-2.0.3.min.js"></script>
	<script src="../js/jquery-jvectormap-europe-mill.js"></script>
	<script src="../js/mymap.js"></script>

	<script>
		var gdpData = {
			@foreach ($partners as $partner)
				@if ($partner->ctry<>'GR')
					{{ $partner->ctry }}:{{ $partner->total }},
				@endif
			@endforeach	
		};
	</script>
	
@stop