@extends('adminlte::page')

@section('title', 'Comenius Final Reports 2009-2013')

@section('content_header')
    <h1>
	@if ($ctr1=='GR')
		Πραγματοποιήθηκαν {{$total}} συνεργασίες ελληνικών σχολείων 
	@elseif($ctr2=='GR')
		Πραγματοποιήθηκαν {{$total}} συνεργασίες ελληνικών σχολείων με σχολεία από {{$ctr1_desc}} 
	@else
		Σε {{$total}} συμπράξεις συμμετείχαν σχολεία από Ελλάδα, {{$ctr1_desc}} και {{$ctr2_desc}}
	@endif
	</h1> 
@stop

@section('content')

      <div class="row">

        <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
            </div>
			<div class="box-body">
			  <div id="europe-map-gdp" style="width: 650px; height: 600px"></div>
			</div>
		  </div>
		</div>
	    <div class="col-xs-6">
          <div class="box">
            <div class="box-header">
				<h4>Επιλέξτε χώρες για να δείτε τα δίκτυα που σχηματίζουν</h4>
				{!! Form::model($opts, ['url' => '/partnersmapNetwork']) !!}
						<div class="form-group row">
							{!! Form::label('ctr1', 'με χώρα από:',['class'=>'col-sm-2 input-group-sm']) !!}
							<div class="col-sm-3">
							{!! Form::select('ctr1', ['AT' => 'Αυστρία', 'BE' => 'Βέλγιο', 'BG' => 'Βουλγαρία', 'FR' => 'Γαλλία', 'DE' => 'Γερμανία', 'DK' => 'Δανία', 'CH' => 'Ελβετία', 'EE' => 'Εσθονία', 'GB' => 'Ηνωμένο Βασίλειο', 'IE' => 'Ιρλανδία', 'IS' => 'Ισλανδία', 'ES' => 'Ισπανία', 'IT' => 'Ιταλία', 'HR' => 'Κροατία', 'CY' => 'Κύπρος', 'LV' => 'Λετονία', 'LT' => 'Λιθουανία', 'LI' => 'Λιχτενστάιν', 'LU' => 'Λουξεμβούργο', 'MT' => 'Μάλτα', 'NO' => 'Νορβηγία', 'NL' => 'Ολλανδία', 'HU' => 'Ουγγαρία', 'PL' => 'Πολωνία', 'PT' => 'Πορτογαλία', 'RO' => 'Ρουμανία', 'MK' => 'Σκόπια', 'SK' => 'Σλοβακία', 'SI' => 'Σλοβενία', 'SE' => 'Σουηδία', 'TR' => 'Τουρκία', 'CZ' => 'Τσεχία', 'FI' => 'Φιλανδία'], NULL, array('placeholder' => 'Επιλέξτε ...', 'class' => 'form-control')) !!}
							</div>

							{!! Form::label('ctr2', 'και χώρα από:',['class'=>'col-sm-2 input-group-sm']) !!}
							<div class="col-sm-3">
							{!! Form::select('ctr2', ['AT' => 'Αυστρία', 'BE' => 'Βέλγιο', 'BG' => 'Βουλγαρία', 'FR' => 'Γαλλία', 'DE' => 'Γερμανία', 'DK' => 'Δανία', 'CH' => 'Ελβετία', 'EE' => 'Εσθονία', 'GB' => 'Ηνωμένο Βασίλειο', 'IE' => 'Ιρλανδία', 'IS' => 'Ισλανδία', 'ES' => 'Ισπανία', 'IT' => 'Ιταλία', 'HR' => 'Κροατία', 'CY' => 'Κύπρος', 'LV' => 'Λετονία', 'LT' => 'Λιθουανία', 'LI' => 'Λιχτενστάιν', 'LU' => 'Λουξεμβούργο', 'MT' => 'Μάλτα', 'NO' => 'Νορβηγία', 'NL' => 'Ολλανδία', 'HU' => 'Ουγγαρία', 'PL' => 'Πολωνία', 'PT' => 'Πορτογαλία', 'RO' => 'Ρουμανία', 'MK' => 'Σκόπια', 'SK' => 'Σλοβακία', 'SI' => 'Σλοβενία', 'SE' => 'Σουηδία', 'TR' => 'Τουρκία', 'CZ' => 'Τσεχία', 'FI' => 'Φιλανδία'], NULL, array('placeholder' => 'Επιλέξτε ...', 'class' => 'form-control')) !!}
							</div>
						</div>
				{!! Form::submit('Αναζήτηση', ['class' => 'btn btn-primary']) !!}
				{!! Form::close() !!}
            </div>
			<div class="box-body">
				@if ($ctr1=='GR')
					Σχολεία από Ελλάδα συμμετείχαν σε {{$total}} σχολικές συμπράξεις. <br>
					Στον παρακάτω πίνακα εμφανίζεται ο αριθμός των σχολείων που συμμετείχαν ανα σύμπραξη και ο αριθμός των συμπράξεων.
				@elseif($ctr2=='GR')
					Πραγματοποιήθηκαν {{$total}} συνεργασίες ελληνικών σχολείων με σχολεία από {{$ctr1_desc}}.<br>
					Στον παρακάτω πίνακα εμφανίζεται ο αριθμός των σχολείων που συμμετείχαν ανα σύμπραξη και ο αριθμός των συμπράξεων.
				@else
					Σε {{$total}} συμπράξεις συμμετείχαν σχολεία από Ελλάδα, {{$ctr1_desc}} και {{$ctr2_desc}}. <br>
					Στον παρακάτω πίνακα εμφανίζεται ο αριθμός των σχολείων που συμμετείχαν ανα σύμπραξη και ο αριθμός των συμπράξεων.
				@endif
				<table class="table table-bordered table-hover table-condensed table-striped" >
                    <thead>
                    <tr class="bg-info">
                        <th width="50%">Αριθμός σχολείων στην σύμπραξη</th><th>Αριθμός συμπράξεων</th>                   
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@for ($x = 3; $x <= 12; $x++)
							<tr>
								<td>{{ $x }}</td>
								<td>{{ $t[$x] }}</td>
							</tr>
						@endfor					
					</tbody>
                </table>				
				<br>
				@if ($ctr1=='GR')
					Στον παρακάτω πίνακα εμφανίζονται οι χώρες και ο αριθμός των σχολείων τους που συνεργάστηκαν με σχολεία από Ελλάδα.
				@elseif($ctr2=='GR')
					Στον παρακάτω πίνακα εμφανίζονται οι χώρες και ο αριθμός των σχολείων τους που συνεργάστηκαν με σχολεία από Ελλάδα και {{$ctr1_desc}}.
				@else
					Στον παρακάτω πίνακα εμφανίζονται οι χώρες και ο αριθμός των σχολείων τους που συνεργάστηκαν με σχολεία από Ελλάδα, {{$ctr1_desc}} και {{$ctr2_desc}}.
				@endif
				<table class="table table-bordered table-hover table-condensed table-striped" >
                    <thead>
                    <tr class="bg-info">
                        <th>Χώρα</th><th>Συμπράξεις</th>                   
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($partners as $partner)
							<tr>
								<td>{{ $partner->ctry_desc }}</td>
								<td>{{ $partner->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>
			</div>
		  </div>
		</div>
	</div>



	

	
<!-- Delete Modal -->
<div class="modal fade" id="myModalDel" tabindex="-1" role="dialog" aria-labelledby="myModalDelLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabelDel">Διαγραφή Ασθενή;</h4>
      </div>
      <div class="modal-body">
          <p>Are you sure?</p>
          <button type="button" class="btn btn-default btn-flat" id="btn-yes" value="0">ΝΑΙ</button>
          <button type="button" class="btn btn-primary btn-flat" id="btn-no" data-dismiss="modal">ΟΧΙ</button>
      </div>
    </div>
  </div>
</div>	

@stop

@section('css')
    <link rel="stylesheet" href="css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
  <link rel="stylesheet" href="css/jquery-jvectormap-2.0.3.css" type="text/css" media="screen"/>
  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.16/datatables.min.js"></script>
	<script src="vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="vendor/datatables/mydataTableIndexMap.js"></script>
	<script src="js/jquery-jvectormap-2.0.3.min.js"></script>
	<script src="js/jquery-jvectormap-europe-mill.js"></script>

	<script src="js/mymap.js"></script>

	<script>
		var gdpData = {
			@foreach ($partners as $partner)
				@if ($partner->ctry<>'GR')
					{{ $partner->ctry }}:{{ $partner->total }},
				@endif
			@endforeach	
		};
	</script>
	
@stop