@extends('adminlte::page')

@section('title', 'Comenius Final Reports 2009-2013')

@section('content_header')
    <h1>Stats</h1> 
@stop

@section('content')


	<div class="row">
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">F.2. Partnership Activities</h3>
			</div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table2">
                    <thead>
                    <tr class="bg-info">
                        <th>Field</th><th>Value</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($act1 as $row)
							<tr>
								<td>@if ($row->activity_type_desc)  
										{{$row->activity_type_desc}}
									@else 
										EMPTY FIELD
									@endif


								</td>
								<td>{{ $row->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>
			</div>
		  </div>
		</div>
			<div class="col-md-3">
				  <!-- About Me Box -->
				  <div class="box box-primary">
					<div class="box-header with-border">
					  <h3 class="box-title">Επιλογές</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						 
						  @include('statsMenu')

					</div>
				</div>
			</div>
	</div>
	<div class="row">
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">To what extent were the planned activities previously stated at application stage achieved?</h3>
			</div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table2">
                    <thead>
                    <tr class="bg-info">
                        <th>Field</th><th>Value</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($act2 as $row)
							<tr>
								<td>
									@if ($row->eval_actach_rating=='Tvsm')
										To a very small extent (Tvsm)
									@elseif ($row->eval_actach_rating=='Tsm')
										To a small extent (Tsm)
									@elseif ($row->eval_actach_rating=='Thigh')
										To a high extent (Thigh)
									@elseif ($row->eval_actach_rating=='Tvhigh')
										To a very high extent (Tvhigh)
									@elseif ($row->eval_actach_rating=='Tot')
										Totally accomplished (Tot)
									@else
										{{$row->eval_actach_rating}}
									@endif									
								</td>
								<td>{{ $row->total }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>
			</div>
		  </div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-6">
		  <div class="box">
			<div class="box-header">
				<h3 class="box-title">Average activities per partnership</h3>
			</div>
			<div class="box-body">
				<table class="table table-bordered table-hover table-condensed table-striped" id="table2">
                    <thead>
                    <tr class="bg-info">
                        <th>Field</th><th>Value</th>                       
                    </tr>
                    </thead>
					<tbody id="table-list" name="table-list">
						@foreach ($act3 as $row)
							<tr>
								<td>
									{{ $row['range'] }}
								</td>
								<td>{{ $row['total'] }}</td>
							</tr>
						@endforeach						
					</tbody>
                </table>
			</div>
		  </div>
		</div>
	</div>

@stop

@section('css')
    <link rel="stylesheet" href="css/admin_custom.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">

  
@stop

@section('js')
    <script> console.log('Hi!'); </script>
	<!-- DataTables -->
	<script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.10.16/datatables.min.js"></script>
	<script src="vendor/datatables/dataTables.bootstrap.min.js"></script>
	<script src="vendor/datatables/mydataTableIndexMap.js"></script>
@stop